Bug 498764 - sound-juicer assert
sound-juicer assert
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: sound-juicer (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
: 506605 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-03 02:08 EDT by Adrin Jalali
Modified: 2009-12-04 19:04 EST (History)
6 users (show)

See Also:
Fixed In Version: 2.26.2-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-04 19:04:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
valgrind output running sound-juicer (61.15 KB, text/plain)
2009-05-06 15:42 EDT, Adrin Jalali
no flags Details

  None (edit)
Description Adrin Jalali 2009-05-03 02:08:41 EDT
Hi,
Using sound-juicer-2.26.1-1.fc11.x86_64:

$sound-juicer %u
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=e7q5MnR0hGso4_caSLDxMEo7O6Q-
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>

** (sound-juicer:3616): CRITICAL **: album_details_free: assertion `album != NULL' failed


and :

$ sound-juicer
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=e7q5MnR0hGso4_caSLDxMEo7O6Q-
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>
*** glibc detected *** sound-juicer: double free or corruption (out): 0x00000000024f2ec0 ***
======= Backtrace: =========
/lib64/libc.so.6[0x3cbb276716]
sound-juicer(album_details_free+0x11)[0x41d3c1]
/lib64/libglib-2.0.so.0(g_list_foreach+0x1c)[0x3cbc635a6c]
sound-juicer[0x421d1b]
/lib64/libgobject-2.0.so.0(g_object_unref+0x13f)[0x3cbd20d86f]
sound-juicer[0x41ec10]
/lib64/libglib-2.0.so.0(g_main_context_dispatch+0x22e)[0x3cbc63818e]
/lib64/libglib-2.0.so.0[0x3cbc63b8e8]
/lib64/libglib-2.0.so.0(g_main_loop_run+0x1a5)[0x3cbc63bd85]
/usr/lib64/libgtk-x11-2.0.so.0(gtk_main+0xa7)[0x3cc3b299c7]
sound-juicer(main+0xe9d)[0x41365d]
/lib64/libc.so.6(__libc_start_main+0xfd)[0x3cbb21e9dd]
sound-juicer[0x40f119]
======= Memory map: ========
00400000-0042a000 r-xp 00000000 08:05 751418                             /usr/bin/sound-juicer
00629000-00630000 rw-p 00029000 08:05 751418                             /usr/bin/sound-juicer
02065000-02640000 rw-p 02065000 00:00 0                                  [heap]
3cbae00000-3cbae1f000 r-xp 00000000 08:05 375373                         /lib64/ld-2.9.90.so
3cbb01e000-3cbb01f000 r--p 0001e000 08:05 375373                         /lib64/ld-2.9.90.so
3cbb01f000-3cbb020000 rw-p 0001f000 08:05 375373                         /lib64/ld-2.9.90.so
3cbb200000-3cbb367000 r-xp 00000000 08:05 375376                         /lib64/libc-2.9.90.so
3cbb367000-3cbb566000 ---p 00167000 08:05 375376                         /lib64/libc-2.9.90.so
3cbb566000-3cbb56a000 r--p 00166000 08:05 375376                         /lib64/libc-2.9.90.so
3cbb56a000-3cbb56b000 rw-p 0016a000 08:05 375376                         /lib64/libc-2.9.90.so
3cbb56b000-3cbb570000 rw-p 3cbb56b000 00:00 0 
3cbb600000-3cbb683000 r-xp 00000000 08:05 375681                         /lib64/libm-2.9.90.so
3cbb683000-3cbb882000 ---p 00083000 08:05 375681                         /lib64/libm-2.9.90.so
3cbb882000-3cbb883000 r--p 00082000 08:05 375681                         /lib64/libm-2.9.90.so
3cbb883000-3cbb884000 rw-p 00083000 08:05 375681                         /lib64/libm-2.9.90.so
3cbba00000-3cbba02000 r-xp 00000000 08:05 375609                         /lib64/libdl-2.9.90.so
3cbba02000-3cbbc02000 ---p 00002000 08:05 375609                         /lib64/libdl-2.9.90.so
3cbbc02000-3cbbc03000 r--p 00002000 08:05 375609                         /lib64/libdl-2.9.90.so
3cbbc03000-3cbbc04000 rw-p 00003000 08:05 375609                         /lib64/libdl-2.9.90.so
3cbbe00000-3cbbe17000 r-xp 00000000 08:05 375410                         /lib64/libpthread-2.9.90.so
3cbbe17000-3cbc016000 ---p 00017000 08:05 375410                         /lib64/libpthread-2.9.90.so
3cbc016000-3cbc017000 r--p 00016000 08:05 375410                         /lib64/libpthread-2.9.90.so
3cbc017000-3cbc018000 rw-p 00017000 08:05 375410                         /lib64/libpthread-2.9.90.so
3cbc018000-3cbc01c000 rw-p 3cbc018000 00:00 0 
3cbc200000-3cbc215000 r-xp 00000000 08:05 375383                         /lib64/libz.so.1.2.3
3cbc215000-3cbc414000 ---p 00015000 08:05 375383                         /lib64/libz.so.1.2.3
3cbc414000-3cbc415000 rw-p 00014000 08:05 375383                         /lib64/libz.so.1.2.3
3cbc600000-3cbc6df000 r-xp 00000000 08:05 375612                         /lib64/libglib-2.0.so.0.2000.1
3cbc6df000-3cbc8de000 ---p 000df000 08:05 375612                         /lib64/libglib-2.0.so.0.2000.1
3cbc8de000-3cbc8df000 rw-p 000de000 08:05 375612                         /lib64/libglib-2.0.so.0.2000.1
3cbc8df000-3cbc8e0000 rw-p 3cbc8df000 00:00 0 
3cbca00000-3cbca1c000 r-xp 00000000 08:05 375728                         /lib64/libselinux.so.1
3cbca1c000-3cbcc1b000 ---p 0001c000 08:05 375728                         /lib64/libselinux.so.1
3cbcc1b000-3cbcc1c000 r--p 0001b000 08:05 375728                         /lib64/libselinux.so.1
3cbcc1c000-3cbcc1d000 rw-p 0001c000 08:05 375728                         /lib64/libselinux.so.1
3cbcc1d000-3cbcc1e000 rw-p 3cbcc1d000 00:00 0 
3cbce00000-3cbce07000 r-xp 00000000 08:05 375672                         /lib64/librt-2.9.90.so
3cbce07000-3cbd006000 ---p 00007000 08:05 375672                         /lib64/librt-2.9.90.so
3cbd006000-3cbd007000 r--p 00006000 08:05 375672                         /lib64/librt-2.9.90.so
3cbd007000-3cbd008000 rw-p 00007000 08:05 375672                         /lib64/librt-2.9.90.so
3cbd200000-3cbd241000 r-xp 00000000 08:05 375614                         /lib64/libgobject-2.0.so.0.2000.1
3cbd241000-3cbd441000 ---p 00041000 08:05 375614                         /lib64/libgobject-2.0.so.0.2000.1
3cbd441000-3cbd443000 rw-p 00041000 08:05 375614                         /lib64/libgobject-2.0.so.0.2000.1
3cbd600000-3cbd735000 r-xp 00000000 08:05 1141443                        /usr/lib64/libX11.so.6.2.0
3cbd735000-3cbd935000 ---p 00135000 08:05 1141443                        /usr/lib64/libX11.so.6.2.0
3cbd935000-3cbd93b000 rw-p 00135000 08:05 1141443                        /usr/lib64/libX11.so.6.2.0
3cbda00000-3cbda1a000 r-xp 00000000 08:05 1141277                        /usr/lib64/libxcb.so.1.1.0
3cbda1a000-3cbdc1a000 ---p 0001a000 08:05 1141277                        /usr/lib64/libxcb.so.1.1.0
3cbdc1a000-3cbdc1b000 rw-p 0001a000 08:05 1141277                        /usr/lib64/libxcb.so.1.1.0
3cbde00000-3cbde02000 r-xp 00000000 08:05 1140973                        /usr/lib64/libXau.so.6.0.0
3cbde02000-3cbe001000 ---p 00002000 08:05 1140973                        /usr/lib64/libXau.so.6.0.0
3cbe001000-3cbe002000 rw-p 00001000 08:05 1140973                        /usr/lib64/libXau.so.6.0.0
3cbe200000-3cbe203000 r-xp 00000000 08:05 375694                         /lib64/libgmodule-2.0.so.0.2000.1
3cbe203000-3cbe402000 ---p 00003000 08:05 375694                         /lib64/libgmodule-2.0.so.0.2000.1
3cbe402000-3cbe403000 rw-p 00002000 08:05 375694                         /lib64/libgmodule-2.0.so.0.2000.1
3cbe600000-3cbe604000 r-xp 00000000 08:05 375680                         /lib64/libgthread-2.0.so.0.2000.1
3cbe604000-3cbe803000 ---p 00004000 08:05 375680                         /lib64/libgthread-2.0.so.0.2000.1
3cbe803000-3cbe804000 rw-p 00003000 08:05 375680                         /lib64/libgthread-2.0.so.0.2000.1
3cbea00000-3cbea26000 r-xp 00000000 08:05 375685                         /lib64/libexpat.so.1.5.2
3cbea26000-3cbec25000 ---p 00026000 08:05 375685                         /lib64/libexpat.so.1.5.2
3cbec25000-3cbec28000 rw-p 00025000 08:05 375685                         /lib64/libexpat.so.1.5.2
3cbee00000-3cbee11000 r-xp 00000000 08:05 816162                         /usr/lib64/libXext.so.6.4.0
3cbee11000-3cbf011000 ---p 00011000 08:05 816162                         /usr/lib64/libXext.so.6.4.0
3cbf011000-3cbf012000 rw-p 00011000 08:05 816162                         /usr/lib64/libXext.so.6.4.0
3cbf200000-3cbf294000 r-xp 00000000 08:05 1140165                        /usr/lib64/libfreetype.so.6.3.20
3cbf294000-3cbf494000 ---p 00094000 08:05 1140165                        /usr/lib64/libfreetype.so.6.3.20
3cbf494000-3cbf49a000 rw-p 00094000 08:05 1140165                        /usr/lib64/libfreetype.so.6.3.20
3cbf600000-3cbf676000 r-xp 00000000 08:05 375729                         /lib64/libgio-2.0.so.0.2000.1
3cbf676000-3cbf876000 ---p 00076000 08:05 375729                         /lib64/libgio-2.0.so.0.2000.1
3cbf876000-3cbf878000 rw-p 00076000 08:05 375729                         /lib64/libgio-2.0.so.0.2000.1
3cbf878000-3cbf879000 rw-p 3cbf878000 00:00 0 
3cbfa00000-3cbfa33000 r-xp 00000000 08:05 1140346                        /usr/lib64/libfontconfig.so.1.3.0
3cbfa33000-3cbfc33000 ---p 00033000 08:05 1140346                        /usr/lib64/libfontconfig.so.1.3.0
3cbfc33000-3cbfc35000 rw-p 00033000 08:05 1140346                        /usr/lib64/libfontconfig.so.1.3.0
3cbfe00000-3cbfe25000 r-xp 00000000 08:05 1140579                        /usr/lib64/libpng12.so.0.35.0
3cbfe25000-3cc0025000 ---p 00025000 08:05 1140579                        /usr/lib64/libpng12.so.0.35.0
3cc0025000-3cc0026000 rw-p 00025000 08:05 1140579                        /usr/lib64/libpng12.so.0.35.0
3cc0200000-3cc0204000 r-xp 00000000 08:05 375745                         /lib64/libattr.so.1.1.0
3cc0204000-3cc0403000 ---p 00004000 08:05 375745                         /lib64/libattr.so.1.1.0
3cc0403000-3cc0404000 rw-p 00003000 08:05 375745                         /lib64/libattr.so.1.1.0
3cc0600000-3cc0604000 r-xp 00000000 08:05 375748                         /lib64/libcap.so.2.16
3cc0604000-3cc0803000 ---p 00004000 08:05 375748                         /lib64/libcap.so.2.16
3cc0803000-3cc0804000 rw-p 00003000 08:05 375748                         /lib64/libcap.so.2.16
3cc0a00000-3cc0a09000 r-xp 00000000 08:05 816016                         /usr/lib64/libXrender.so.1.3.0
3cc0a09000-3cc0c08000 ---p 00009000 08:05 816016
Comment 1 Bastien Nocera 2009-05-05 09:54:11 EDT
Could you please gather a backtrace of the crash(es) following the instructions at http://fedoraproject.org/wiki/StackTraces ?

Helpful would probably be for you to run sound-juicer under valgrind, so we'd see where the double-free occurs.
Comment 2 Adrin Jalali 2009-05-06 15:09:38 EDT
Distribution: Fedora release 10.93 (Leonidas)
Gnome Release: 2.26.1 2009-04-29 (Red Hat, Inc)
BugBuddy Version: 2.26.0

System: Linux 2.6.29.2-126.fc11.x86_64 #1 SMP Mon May 4 04:46:15 EDT 2009 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 10601000
Selinux: Permissive
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Echo
GTK+ Modules: canberra-gtk-module, pk-gtk-module, gnomebreakpad

Memory status: size: 597192704 vsize: 597192704 resident: 22585344 share: 15060992 rss: 22585344 rss_rlim: 18446744073709551615
CPU usage: start_time: 1241636896 rtime: 27 utime: 21 stime: 6 cutime:0 cstime: 0 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/sound-juicer'

[Thread debugging using libthread_db enabled]
[New Thread 0x7f9f03fff910 (LWP 4621)]
0x0000003cbbe0eacd in waitpid () from /lib64/libpthread.so.0
#0  0x0000003cbbe0eacd in waitpid () from /lib64/libpthread.so.0
#1  0x0000003cbc66fbd9 in g_spawn_sync () from /lib64/libglib-2.0.so.0
#2  0x0000003cbc66fef9 in g_spawn_command_line_sync ()
   from /lib64/libglib-2.0.so.0
#3  0x00007f9f0c10ddc1 in ?? ()
   from /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
#4  <signal handler called>
#5  album_details_free (album=0x1) at sj-structures.c:47
#6  0x0000003cbc635a6c in g_list_foreach () from /lib64/libglib-2.0.so.0
#7  0x0000000000421d1b in sj_metadata_gvfs_finalize (
    object=<value optimized out>) at sj-metadata-gvfs.c:215
#8  0x0000003cbd20d86f in g_object_unref () from /lib64/libgobject-2.0.so.0
#9  0x000000000041ec10 in fire_signal_idle (signal=0x7f9f0403ddc0)
    at sj-metadata-getter.c:164
#10 0x0000003cbc63818e in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#11 0x0000003cbc63b8e8 in ?? () from /lib64/libglib-2.0.so.0
#12 0x0000003cbc63bd85 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#13 0x000000369f3299a7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#14 0x000000000041365d in main (argc=1, argv=0x7fff1a2db908) at sj-main.c:1886

Thread 2 (Thread 0x7f9f03fff910 (LWP 4621)):
#0  0x0000003cbbe0b63d in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003cbe602392 in pthread_attr_setdetachstate ()
   from /lib64/libgthread-2.0.so.0
No symbol table info available.
#2  0x0000003cbc614193 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003cbc6142af in g_async_queue_timed_pop ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#4  0x0000003cbc662c90 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003cbc6616e4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#6  0x0000003cbbe0687a in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#7  0x0000003cbb2e04cd in clone () from /lib64/libc.so.6
No symbol table info available.
#8  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x7f9f11bbf810 (LWP 4618)):
#0  0x0000003cbbe0eacd in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003cbc66fbd9 in g_spawn_sync () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003cbc66fef9 in g_spawn_command_line_sync ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007f9f0c10ddc1 in ?? ()
   from /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  album_details_free (album=0x1) at sj-structures.c:47
        __PRETTY_FUNCTION__ = "album_details_free"
#6  0x0000003cbc635a6c in g_list_foreach () from /lib64/libglib-2.0.so.0
No symbol table info available.
#7  0x0000000000421d1b in sj_metadata_gvfs_finalize (
    object=<value optimized out>) at sj-metadata-gvfs.c:215
        priv = 0xc4b560
#8  0x0000003cbd20d86f in g_object_unref () from /lib64/libgobject-2.0.so.0
No symbol table info available.
#9  0x000000000041ec10 in fire_signal_idle (signal=0x7f9f0403ddc0)
    at sj-metadata-getter.c:164
No locals.
#10 0x0000003cbc63818e in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#11 0x0000003cbc63b8e8 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#12 0x0000003cbc63bd85 in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#13 0x000000369f3299a7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#14 0x000000000041365d in main (argc=1, argv=0x7fff1a2db908) at sj-main.c:1886
        error = 0x0
        selection = <value optimized out>
        device = 0x0
        uris = 0x0
        ctx = <value optimized out>
        entries = {{long_name = 0x422c0d "auto-start", short_name = 97 'a', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x62a9ac, 
            description = 0x422c18 "Start extracting immediately", 
            arg_description = 0x0}, {long_name = 0x4228de "play", 
            short_name = 112 'p', flags = 0, arg = G_OPTION_ARG_NONE, 
            arg_data = 0x62a9b0, 
            description = 0x422c35 "Start playing immediately", 
            arg_description = 0x0}, {long_name = 0x425768 "device", 
            short_name = 100 'd', flags = 0, arg = G_OPTION_ARG_FILENAME, 
            arg_data = 0x7fff1a2db7f0, 
            description = 0x422c4f "What CD device to read", 
            arg_description = 0x422c66 "DEVICE"}, {long_name = 0x423e25 "", 
            short_name = 0 '\0', flags = 0, 
            arg = G_OPTION_ARG_FILENAME_ARRAY, arg_data = 0x7fff1a2db7e8, 
            description = 0x422c6d "URI to the CD device to read", 
            arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\0', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, 
            description = 0x0, arg_description = 0x0}}
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors ---------------------
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/79/7375835d3968b476989bcf96f89d28cfbe1aa8.debug
Missing separate debuginfo for /usr/lib64/gstreamer-0.10/libgstspeex.so
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/14/dd2757bf55f5226e8eeeb91b3376515d422d07.debug
Missing separate debuginfo for /usr/lib64/gstreamer-0.10/libgstcdparanoia.so
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/3b/d075d0069ff04eb6345fdd23abfa3744838713.debug
Missing separate debuginfo for /usr/lib64/libgstcdda-0.10.so.0
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/5c/af5c58836370c6614ddac9af3f4b25acef5988.debug
Missing separate debuginfo for /usr/lib64/libcdda_interface.so.0
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/91/6ff511033c961252ecb21388f1337660e9d3dd.debug
Missing separate debuginfo for /usr/lib64/libcdda_paranoia.so.0
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/7f/3184caa7cd7799b70511649039b806cfa7e68a.debug
Missing separate debuginfo for /usr/lib64/gstreamer-0.10/libgstgio.so
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/a0/87bf5b042b09ae2347b61a94fe9b3d095f95bb.debug
Missing separate debuginfo for /lib64/libnss_dns.so.2
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/80/1f664585a39fffba39f1b42bb779dc5fb470c6.debug
--------------------------------------------------
Comment 3 Adrin Jalali 2009-05-06 15:42:29 EDT
Created attachment 342709 [details]
valgrind output running sound-juicer

sound juicer ran under valgrind
Comment 4 Bastien Nocera 2009-05-07 12:59:57 EDT
God knows how a 1 ended up in there...
#5  album_details_free (album=0x1) at sj-structures.c:47

From the valgrind trace, gm_audio_profile_lookup() failed because GConf isn't available.

Could you please re-run the valgrind trace with "--alignment=8"? Otherwise ORBit will fail, and we'll get noise in the trace (and I'm not sure how s-j would even work then...).

I'll try and see where that 0x1 came from.
Comment 5 Adrin Jalali 2009-05-07 13:14:49 EDT
$ valgrind --alignment=8 sound-juicer
==9180== Memcheck, a memory error detector.
==9180== Copyright (C) 2002-2008, and GNU GPL'd, by Julian Seward et al.
==9180== Using LibVEX rev 1884, a library for dynamic binary translation.
==9180== Copyright (C) 2004-2008, and GNU GPL'd, by OpenWorks LLP.
==9180== Using valgrind-3.4.1, a dynamic binary instrumentation framework.
==9180== Copyright (C) 2000-2008, and GNU GPL'd, by Julian Seward et al.
==9180== For more details, rerun with: -v
==9180== 
==9181== 
==9181== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 6 from 2)
==9181== malloc/free: in use at exit: 1,088,980 bytes in 9,784 blocks.
==9181== malloc/free: 19,801 allocs, 10,017 frees, 2,171,224 bytes allocated.
==9181== For counts of detected errors, rerun with: -v
==9181== searching for pointers to 9,784 not-freed blocks.
==9181== checked 2,559,384 bytes.
==9181== 
==9181== LEAK SUMMARY:
==9181==    definitely lost: 0 bytes in 0 blocks.
==9181==      possibly lost: 119,444 bytes in 182 blocks.
==9181==    still reachable: 969,536 bytes in 9,602 blocks.
==9181==         suppressed: 0 bytes in 0 blocks.
==9181== Rerun with --leak-check=full to see details of leaked memory.
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=e7q5MnR0hGso4_caSLDxMEo7O6Q-
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>
==9180== Invalid free() / delete / delete[]
==9180==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9180==    by 0x41D3C0: album_details_free (sj-structures.c:47)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180==  Address 0x108c66f0 is 1,776 bytes inside a block of size 2,032 alloc'd
==9180==    at 0x4A05260: memalign (vg_replace_malloc.c:460)
==9180==    by 0x4A05317: posix_memalign (vg_replace_malloc.c:569)
==9180==    by 0x3CBC655141: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC656219: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC656305: g_slice_alloc0 (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBD22C1DA: g_type_create_instance (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD210B7B: (within /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD211B98: g_object_newv (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD2126F4: g_object_new_valist (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD21284B: g_object_new (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x369F31D828: gtk_label_new (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x369F427343: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180== 
==9180== Conditional jump or move depends on uninitialised value(s)
==9180==    at 0x3CBC640952: g_free (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x41D3C9: album_details_free (sj-structures.c:48)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180== 
==9180== Conditional jump or move depends on uninitialised value(s)
==9180==    at 0x4A062F3: free (vg_replace_malloc.c:323)
==9180==    by 0x41D3C9: album_details_free (sj-structures.c:48)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180== 
==9180== Invalid free() / delete / delete[]
==9180==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9180==    by 0x41D3C9: album_details_free (sj-structures.c:48)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180==  Address 0x30000 is not stack'd, malloc'd or (recently) free'd
==9180== 
==9180== Invalid read of size 8
==9180==    at 0x41D3CA: album_details_free (sj-structures.c:49)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180==  Address 0x4e230e0 is 8 bytes after a block of size 16 alloc'd
==9180==    at 0x4A0763E: malloc (vg_replace_malloc.c:207)
==9180==    by 0x3CBC640A72: g_malloc (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F27D7D4: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x4119C1: update_ui_for_album (sj-main.c:371)
==9180==    by 0x412786: metadata_cb (sj-main.c:850)
==9180==    by 0x3CBD20B8AD: g_closure_invoke (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD220FF4: (within /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD22240E: g_signal_emit_valist (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD222783: g_signal_emit_by_name (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC01: fire_signal_idle (sj-metadata-getter.c:158)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180== 
==9180== Invalid read of size 8
==9180==    at 0x41D3D3: album_details_free (sj-structures.c:50)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180==  Address 0x4e23100 is 8 bytes before a block of size 4 free'd
==9180==    at 0x4A0776F: realloc (vg_replace_malloc.c:429)
==9180==    by 0x3CBC64099E: g_realloc (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC65A8B6: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC65B4FC: g_string_insert_len (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63F5FB: g_markup_parse_context_parse (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CC48250EA: pango_parse_markup (in /usr/lib64/libpango-1.0.so.0.2400.1)
==9180==    by 0x369F31B328: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x4119D9: update_ui_for_album (sj-main.c:372)
==9180==    by 0x412786: metadata_cb (sj-main.c:850)
==9180==    by 0x3CBD20B8AD: g_closure_invoke (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD220FF4: (within /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD22240E: g_signal_emit_valist (in /lib64/libgobject-2.0.so.0.2000.1)
==9180== 
==9180== Invalid free() / delete / delete[]
==9180==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9180==    by 0x41D3DB: album_details_free (sj-structures.c:50)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180==  Address 0x20 is not stack'd, malloc'd or (recently) free'd
==9180== 
==9180== Invalid read of size 8
==9180==    at 0x41D3DC: album_details_free (sj-structures.c:51)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180==  Address 0x4e230f8 is 16 bytes before a block of size 4 free'd
==9180==    at 0x4A0776F: realloc (vg_replace_malloc.c:429)
==9180==    by 0x3CBC64099E: g_realloc (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC65A8B6: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC65B4FC: g_string_insert_len (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63F5FB: g_markup_parse_context_parse (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CC48250EA: pango_parse_markup (in /usr/lib64/libpango-1.0.so.0.2400.1)
==9180==    by 0x369F31B328: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x4119D9: update_ui_for_album (sj-main.c:372)
==9180==    by 0x412786: metadata_cb (sj-main.c:850)
==9180==    by 0x3CBD20B8AD: g_closure_invoke (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD220FF4: (within /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x3CBD22240E: g_signal_emit_valist (in /lib64/libgobject-2.0.so.0.2000.1)
==9180== 
==9180== Invalid read of size 8
==9180==    at 0x41D3F1: album_details_free (sj-structures.c:52)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180==  Address 0x4e230f0 is not stack'd, malloc'd or (recently) free'd
==9180== 
==9180== Invalid read of size 8
==9180==    at 0x3CBC635A60: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x41D3FB: album_details_free (sj-structures.c:52)
==9180==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x421D1A: sj_metadata_gvfs_finalize (sj-metadata-gvfs.c:215)
==9180==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9180==    by 0x41EC0F: fire_signal_idle (sj-metadata-getter.c:164)
==9180==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9180==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9180==    by 0x41365C: main (sj-main.c:1886)
==9180==  Address 0x40 is not stack'd, malloc'd or (recently) free'd
145	m_syswrap/syscall-amd64-linux.S: No such file or directory.
Could not find the frame base for "vgPlain_client_syscall".
==9180== 
==9180== ERROR SUMMARY: 10 errors from 10 contexts (suppressed: 65 from 2)
==9180== malloc/free: in use at exit: 5,127,412 bytes in 39,461 blocks.
==9180== malloc/free: 175,506 allocs, 136,048 frees, 16,006,685 bytes allocated.
==9180== For counts of detected errors, rerun with: -v
==9180== Use --track-origins=yes to see where uninitialised values come from
==9180== searching for pointers to 39,461 not-freed blocks.
==9180== checked 39,562,424 bytes.
==9180== 
==9180== LEAK SUMMARY:
==9180==    definitely lost: 32,684 bytes in 793 blocks.
==9180==      possibly lost: 397,354 bytes in 525 blocks.
==9180==    still reachable: 4,697,374 bytes in 38,143 blocks.
==9180==         suppressed: 0 bytes in 0 blocks.
==9180== Rerun with --leak-check=full to see details of leaked memory.
Comment 6 Bastien Nocera 2009-05-07 13:55:59 EDT
Filed upstream at:
http://bugzilla.gnome.org/show_bug.cgi?id=581775

Package is building in:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1340924

Could you please test and let me know whether it works for you? I managed to reproduce the problem before you posted the valgrind trace, and it works for me now.
Comment 7 Adrin Jalali 2009-05-07 14:39:47 EDT
I does not work for me and this is :

$ valgrind --alignment=8 sound-juicer
==9653== Memcheck, a memory error detector.
==9653== Copyright (C) 2002-2008, and GNU GPL'd, by Julian Seward et al.
==9653== Using LibVEX rev 1884, a library for dynamic binary translation.
==9653== Copyright (C) 2004-2008, and GNU GPL'd, by OpenWorks LLP.
==9653== Using valgrind-3.4.1, a dynamic binary instrumentation framework.
==9653== Copyright (C) 2000-2008, and GNU GPL'd, by Julian Seward et al.
==9653== For more details, rerun with: -v
==9653== 
==9654== Syscall param write(buf) points to uninitialised byte(s)
==9654==    at 0x3CBBE0DE00: __write_nocancel (in /lib64/libpthread-2.9.90.so)
==9654==    by 0x3CD1C8A21E: (within /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CD1C8BC77: gst_registry_binary_write_cache (in /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CD1C25BB9: (within /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CD1C2657B: (within /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CD1C27AA5: (within /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CBC646F58: g_option_context_parse (in /lib64/libglib-2.0.so.0.2000.1)
==9654==    by 0x4129B1: main (in /usr/bin/sound-juicer)
==9654==  Address 0xaf460e4 is 20 bytes inside a block of size 24 alloc'd
==9654==    at 0x4A0763E: malloc (vg_replace_malloc.c:207)
==9654==    by 0x3CBC640A72: g_malloc (in /lib64/libglib-2.0.so.0.2000.1)
==9654==    by 0x3CD1C8A54E: (within /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CD1C8B51A: gst_registry_binary_write_cache (in /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CD1C25BB9: (within /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CD1C2657B: (within /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CD1C27AA5: (within /usr/lib64/libgstreamer-0.10.so.0.19.0)
==9654==    by 0x3CBC646F58: g_option_context_parse (in /lib64/libglib-2.0.so.0.2000.1)
==9654==    by 0x4129B1: main (in /usr/bin/sound-juicer)
==9654== 
==9654== ERROR SUMMARY: 384 errors from 1 contexts (suppressed: 11 from 2)
==9654== malloc/free: in use at exit: 1,340,063 bytes in 10,795 blocks.
==9654== malloc/free: 27,949 allocs, 17,154 frees, 2,688,805 bytes allocated.
==9654== For counts of detected errors, rerun with: -v
==9654== Use --track-origins=yes to see where uninitialised values come from
==9654== searching for pointers to 10,795 not-freed blocks.
==9654== checked 2,751,088 bytes.
==9654== 
==9654== LEAK SUMMARY:
==9654==    definitely lost: 0 bytes in 0 blocks.
==9654==      possibly lost: 120,436 bytes in 184 blocks.
==9654==    still reachable: 1,219,627 bytes in 10,611 blocks.
==9654==         suppressed: 0 bytes in 0 blocks.
==9654== Rerun with --leak-check=full to see details of leaked memory.
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=e7q5MnR0hGso4_caSLDxMEo7O6Q-
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>
==9653== Invalid free() / delete / delete[]
==9653==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9653==    by 0x41D2D0: album_details_free (in /usr/bin/sound-juicer)
==9653==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41EB13: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x41365C: main (in /usr/bin/sound-juicer)
==9653==  Address 0x109748e0 is 224 bytes inside a block of size 2,032 alloc'd
==9653==    at 0x4A05260: memalign (vg_replace_malloc.c:460)
==9653==    by 0x4A05317: posix_memalign (vg_replace_malloc.c:569)
==9653==    by 0x3CBC655141: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC656219: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC656305: g_slice_alloc0 (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBD22C1DA: g_type_create_instance (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x3CBD210B7B: (within /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x3CBD211B98: g_object_newv (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x3CBD2125E0: g_object_new_valist (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x3CBD21284B: g_object_new (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x369F427267: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F429D40: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653== 
==9653== Conditional jump or move depends on uninitialised value(s)
==9653==    at 0x3CBC640952: g_free (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41D2D9: album_details_free (in /usr/bin/sound-juicer)
==9653==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41EB13: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x41365C: main (in /usr/bin/sound-juicer)
==9653== 
==9653== Conditional jump or move depends on uninitialised value(s)
==9653==    at 0x4A062F3: free (vg_replace_malloc.c:323)
==9653==    by 0x41D2D9: album_details_free (in /usr/bin/sound-juicer)
==9653==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41EB13: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x41365C: main (in /usr/bin/sound-juicer)
==9653== 
==9653== Invalid free() / delete / delete[]
==9653==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9653==    by 0x41D2D9: album_details_free (in /usr/bin/sound-juicer)
==9653==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41EB13: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x41365C: main (in /usr/bin/sound-juicer)
==9653==  Address 0x30000 is not stack'd, malloc'd or (recently) free'd
==9653== 
==9653== Invalid read of size 8
==9653==    at 0x41D2DA: album_details_free (in /usr/bin/sound-juicer)
==9653==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41EB13: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x41365C: main (in /usr/bin/sound-juicer)
==9653==  Address 0x4eb14a0 is 8 bytes after a block of size 16 alloc'd
==9653==    at 0x4A0763E: malloc (vg_replace_malloc.c:207)
==9653==    by 0x3CBC640A72: g_malloc (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F27D7D4: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x411A59: (within /usr/bin/sound-juicer)
==9653==    by 0x412786: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBD20B8AD: g_closure_invoke (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x3CBD220FF4: (within /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x3CBD22240E: g_signal_emit_valist (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x3CBD222783: g_signal_emit_by_name (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x41EB01: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653== 
==9653== Invalid read of size 8
==9653==    at 0x41D2E3: album_details_free (in /usr/bin/sound-juicer)
==9653==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41EB13: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x41365C: main (in /usr/bin/sound-juicer)
==9653==  Address 0x4eb14c0 is 8 bytes before a block of size 16 free'd
==9653==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9653==    by 0x3CC4820729: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9653==    by 0x3CC4823878: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9653==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x369F2960D7: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F2965AE: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F2988A0: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F298D1E: gtk_cell_view_get_size_of_row (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F2A433E: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F2A48DA: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x3CBD20B8AD: g_closure_invoke (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x3CBD220FF4: (within /lib64/libgobject-2.0.so.0.2000.1)
==9653== 
==9653== Invalid read of size 8
==9653==    at 0x41D2EC: album_details_free (in /usr/bin/sound-juicer)
==9653==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41EB13: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x41365C: main (in /usr/bin/sound-juicer)
==9653==  Address 0x4eb14b8 is 16 bytes before a block of size 16 free'd
==9653==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9653==    by 0x3CC4820729: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9653==    by 0x3CC4823878: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9653==    by 0x3CBD20D86E: g_object_unref (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x369F2960D7: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F2965AE: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F2988A0: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F298D1E: gtk_cell_view_get_size_of_row (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F2A433E: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x369F2A48DA: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x3CBD20B8AD: g_closure_invoke (in /lib64/libgobject-2.0.so.0.2000.1)
==9653==    by 0x3CBD220FF4: (within /lib64/libgobject-2.0.so.0.2000.1)
==9653== 
==9653== Invalid read of size 8
==9653==    at 0x41D301: album_details_free (in /usr/bin/sound-juicer)
==9653==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41EB13: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x41365C: main (in /usr/bin/sound-juicer)
==9653==  Address 0x4eb14b0 is not stack'd, malloc'd or (recently) free'd
==9653== 
==9653== Invalid read of size 8
==9653==    at 0x3CBC635A60: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41D30B: album_details_free (in /usr/bin/sound-juicer)
==9653==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x41EB13: (within /usr/bin/sound-juicer)
==9653==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9653==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9653==    by 0x41365C: main (in /usr/bin/sound-juicer)
==9653==  Address 0x48 is not stack'd, malloc'd or (recently) free'd
145	m_syswrap/syscall-amd64-linux.S: No such file or directory.
Could not find the frame base for "vgPlain_client_syscall".
==9653== 
==9653== ERROR SUMMARY: 9 errors from 9 contexts (suppressed: 65 from 2)
==9653== malloc/free: in use at exit: 5,042,122 bytes in 39,404 blocks.
==9653== malloc/free: 182,394 allocs, 142,992 frees, 16,305,136 bytes allocated.
==9653== For counts of detected errors, rerun with: -v
==9653== Use --track-origins=yes to see where uninitialised values come from
==9653== searching for pointers to 39,404 not-freed blocks.
==9653== checked 39,468,056 bytes.
==9653== 
==9653== LEAK SUMMARY:
==9653==    definitely lost: 32,697 bytes in 794 blocks.
==9653==      possibly lost: 411,722 bytes in 523 blocks.
==9653==    still reachable: 4,597,703 bytes in 38,087 blocks.
==9653==         suppressed: 0 bytes in 0 blocks.
==9653== Rerun with --leak-check=full to see details of leaked memory.
Comment 8 Bastien Nocera 2009-05-07 15:03:14 EDT
Could you please install the debuginfo file for the updated sound-juicer package?

I don't see how that could happen after my recent changes...
Comment 9 Adrin Jalali 2009-05-07 15:44:43 EDT
$ valgrind --alignment=8 sound-juicer
==9976== Memcheck, a memory error detector.
==9976== Copyright (C) 2002-2008, and GNU GPL'd, by Julian Seward et al.
==9976== Using LibVEX rev 1884, a library for dynamic binary translation.
==9976== Copyright (C) 2004-2008, and GNU GPL'd, by OpenWorks LLP.
==9976== Using valgrind-3.4.1, a dynamic binary instrumentation framework.
==9976== Copyright (C) 2000-2008, and GNU GPL'd, by Julian Seward et al.
==9976== For more details, rerun with: -v
==9976== 
==9977== 
==9977== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 6 from 2)
==9977== malloc/free: in use at exit: 1,088,980 bytes in 9,784 blocks.
==9977== malloc/free: 19,801 allocs, 10,017 frees, 2,171,224 bytes allocated.
==9977== For counts of detected errors, rerun with: -v
==9977== searching for pointers to 9,784 not-freed blocks.
==9977== checked 2,538,904 bytes.
==9977== 
==9977== LEAK SUMMARY:
==9977==    definitely lost: 0 bytes in 0 blocks.
==9977==      possibly lost: 119,444 bytes in 182 blocks.
==9977==    still reachable: 969,536 bytes in 9,602 blocks.
==9977==         suppressed: 0 bytes in 0 blocks.
==9977== Rerun with --leak-check=full to see details of leaked memory.
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=e7q5MnR0hGso4_caSLDxMEo7O6Q-
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>
==9976== Invalid free() / delete / delete[]
==9976==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9976==    by 0x41D2D0: album_details_free (sj-structures.c:47)
==9976==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x41EB13: fire_signal_idle (sj-metadata-getter.c:163)
==9976==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==    by 0x41365C: main (sj-main.c:1887)
==9976==  Address 0x109ff280 is 128 bytes inside a block of size 496 alloc'd
==9976==    at 0x4A05260: memalign (vg_replace_malloc.c:460)
==9976==    by 0x4A05317: posix_memalign (vg_replace_malloc.c:569)
==9976==    by 0x3CBC655141: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC656219: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC65B9FA: g_string_sized_new (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC65BAA4: g_string_new (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0xEA06D1A: (within /usr/lib64/librsvg-2.so.2.26.0)
==9976==    by 0x3CC604255A: xmlParseCharData (in /usr/lib64/libxml2.so.2.7.3)
==9976==    by 0x3CC604C0FE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.3)
==9976==    by 0xEA05DB1: (within /usr/lib64/librsvg-2.so.2.26.0)
==9976==    by 0xE7DDD90: (within /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so)
==9976==    by 0x369EE0BC3E: gdk_pixbuf_loader_write (in /usr/lib64/libgdk_pixbuf-2.0.so.0.1600.1)
==9976== 
==9976== Invalid free() / delete / delete[]
==9976==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9976==    by 0x41D2E2: album_details_free (sj-structures.c:49)
==9976==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x41EB13: fire_signal_idle (sj-metadata-getter.c:163)
==9976==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==    by 0x41365C: main (sj-main.c:1887)
==9976==  Address 0x3cbd20ec30 is in the Text segment of /lib64/libgobject-2.0.so.0.2000.1
==9976== 
==9976== Invalid free() / delete / delete[]
==9976==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9976==    by 0x41D2EB: album_details_free (sj-structures.c:50)
==9976==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x41EB13: fire_signal_idle (sj-metadata-getter.c:163)
==9976==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==    by 0x41365C: main (sj-main.c:1887)
==9976==  Address 0x3cbd20ec30 is in the Text segment of /lib64/libgobject-2.0.so.0.2000.1
==9976== 
==9976== Invalid free() / delete / delete[]
==9976==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9976==    by 0x41D2F9: album_details_free (sj-structures.c:51)
==9976==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x41EB13: fire_signal_idle (sj-metadata-getter.c:163)
==9976==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==    by 0x41365C: main (sj-main.c:1887)
==9976==  Address 0x10a51700 is 256 bytes inside a block of size 496 alloc'd
==9976==    at 0x4A05260: memalign (vg_replace_malloc.c:460)
==9976==    by 0x4A05317: posix_memalign (vg_replace_malloc.c:569)
==9976==    by 0x3CBC655141: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC656219: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC65B9FA: g_string_sized_new (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC65BAF5: g_string_new_len (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0xEA06D0A: (within /usr/lib64/librsvg-2.so.2.26.0)
==9976==    by 0x3CC604255A: xmlParseCharData (in /usr/lib64/libxml2.so.2.7.3)
==9976==    by 0x3CC604C0FE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.3)
==9976==    by 0xEA05DB1: (within /usr/lib64/librsvg-2.so.2.26.0)
==9976==    by 0xE7DDD90: (within /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so)
==9976==    by 0x369EE0BC3E: gdk_pixbuf_loader_write (in /usr/lib64/libgdk_pixbuf-2.0.so.0.1600.1)
==9976== 
==9976== Invalid free() / delete / delete[]
==9976==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9976==    by 0x41D32F: album_details_free (sj-structures.c:56)
==9976==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x41EB13: fire_signal_idle (sj-metadata-getter.c:163)
==9976==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==    by 0x41365C: main (sj-main.c:1887)
==9976==  Address 0x1 is not stack'd, malloc'd or (recently) free'd
==9976== 
==9976== Invalid free() / delete / delete[]
==9976==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9976==    by 0x41D338: album_details_free (sj-structures.c:57)
==9976==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x41EB13: fire_signal_idle (sj-metadata-getter.c:163)
==9976==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==    by 0x41365C: main (sj-main.c:1887)
==9976==  Address 0x3cbd20d040 is in the Text segment of /lib64/libgobject-2.0.so.0.2000.1
==9976== 
==9976== Invalid free() / delete / delete[]
==9976==    at 0x4A0633D: free (vg_replace_malloc.c:323)
==9976==    by 0x3CBC635A6B: g_list_foreach (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x41EB13: fire_signal_idle (sj-metadata-getter.c:163)
==9976==    by 0x3CBC63818D: g_main_context_dispatch (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63B8E7: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC63BD84: g_main_loop_run (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x369F3299A6: gtk_main (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==    by 0x41365C: main (sj-main.c:1887)
==9976==  Address 0x109ff860 is 96 bytes inside a block of size 496 alloc'd
==9976==    at 0x4A05260: memalign (vg_replace_malloc.c:460)
==9976==    by 0x4A05317: posix_memalign (vg_replace_malloc.c:569)
==9976==    by 0x3CBC655141: (within /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC656219: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC65B9FA: g_string_sized_new (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC65BAA4: g_string_new (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0xEA06D1A: (within /usr/lib64/librsvg-2.so.2.26.0)
==9976==    by 0x3CC604255A: xmlParseCharData (in /usr/lib64/libxml2.so.2.7.3)
==9976==    by 0x3CC604C0FE: xmlParseChunk (in /usr/lib64/libxml2.so.2.7.3)
==9976==    by 0xEA05DB1: (within /usr/lib64/librsvg-2.so.2.26.0)
==9976==    by 0xE7DDD90: (within /usr/lib64/gtk-2.0/2.10.0/loaders/svg_loader.so)
==9976==    by 0x369EE0BC3E: gdk_pixbuf_loader_write (in /usr/lib64/libgdk_pixbuf-2.0.so.0.1600.1)
==9976== 
==9976== Invalid read of size 8
==9976==    at 0x3CBC655C24: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CC2E0E6EF: pango_ot_buffer_new (in /usr/lib64/libpangoft2-1.0.so.0.2400.1)
==9976==    by 0x3CC2E259CC: (within /usr/lib64/libpangoft2-1.0.so.0.2400.1)
==9976==    by 0x3CC482BB69: pango_shape (in /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC481F13A: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC481FAD8: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC4821624: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC48225EB: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC48241C5: pango_layout_get_pixel_extents (in /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x369F295F6E: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==    by 0x369F2965AE: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==    by 0x369F429768: gtk_tree_view_column_cell_get_size (in /usr/lib64/libgtk-x11-2.0.so.0.1600.1)
==9976==  Address 0x7fffffff00000000 is not stack'd, malloc'd or (recently) free'd
==9976== 
==9976== Invalid read of size 8
==9976==    at 0x3CBC655C24: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC65B9FA: g_string_sized_new (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0xA8FBB0D: (within /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so)
==9976==    by 0x3CBBE0EF8F: (within /lib64/libpthread-2.9.90.so)
==9976==    by 0x3CBC655C23: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CC2E0E6EF: pango_ot_buffer_new (in /usr/lib64/libpangoft2-1.0.so.0.2400.1)
==9976==    by 0x3CC2E259CC: (within /usr/lib64/libpangoft2-1.0.so.0.2400.1)
==9976==    by 0x3CC482BB69: pango_shape (in /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC481F13A: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC481FAD8: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC4821624: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC48225EB: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==  Address 0x7fffffff00000000 is not stack'd, malloc'd or (recently) free'd
==9976== 
==9976== Process terminating with default action of signal 11 (SIGSEGV)
==9976==  General Protection Fault
==9976==    at 0x3CBC655C24: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CBC65B9FA: g_string_sized_new (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0xA8FBB0D: (within /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so)
==9976==    by 0x3CBBE0EF8F: (within /lib64/libpthread-2.9.90.so)
==9976==    by 0x3CBC655C23: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.1)
==9976==    by 0x3CC2E0E6EF: pango_ot_buffer_new (in /usr/lib64/libpangoft2-1.0.so.0.2400.1)
==9976==    by 0x3CC2E259CC: (within /usr/lib64/libpangoft2-1.0.so.0.2400.1)
==9976==    by 0x3CC482BB69: pango_shape (in /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC481F13A: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC481FAD8: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC4821624: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976==    by 0x3CC48225EB: (within /usr/lib64/libpango-1.0.so.0.2400.1)
==9976== 
==9976== ERROR SUMMARY: 9 errors from 9 contexts (suppressed: 65 from 2)
==9976== malloc/free: in use at exit: 5,052,123 bytes in 39,444 blocks.
==9976== malloc/free: 175,326 allocs, 135,889 frees, 15,932,633 bytes allocated.
==9976== For counts of detected errors, rerun with: -v
==9976== searching for pointers to 39,444 not-freed blocks.
==9976== checked 39,476,296 bytes.
==9976== 
==9976== LEAK SUMMARY:
==9976==    definitely lost: 32,684 bytes in 793 blocks.
==9976==      possibly lost: 394,954 bytes in 515 blocks.
==9976==    still reachable: 4,624,485 bytes in 38,136 blocks.
==9976==         suppressed: 0 bytes in 0 blocks.
==9976== Rerun with --leak-check=full to see details of leaked memory.
Comment 10 Adrin Jalali 2009-05-07 15:45:07 EDT
Distribution: Fedora release 10.93 (Leonidas)
Gnome Release: 2.26.1 2009-04-29 (Red Hat, Inc)
BugBuddy Version: 2.26.0

System: Linux 2.6.29.2-126.fc11.x86_64 #1 SMP Mon May 4 04:46:15 EDT 2009 x86_64
X Vendor: The X.Org Foundation
X Vendor Release: 10601000
Selinux: Permissive
Accessibility: Disabled
GTK+ Theme: Nodoka
Icon Theme: Echo
GTK+ Modules: canberra-gtk-module, pk-gtk-module, gnomebreakpad

Memory status: size: 664932352 vsize: 664932352 resident: 22577152 share: 15060992 rss: 22577152 rss_rlim: 18446744073709551615
CPU usage: start_time: 1241725547 rtime: 27 utime: 21 stime: 6 cutime:0 cstime: 4 timeout: 0 it_real_value: 0 frequency: 100

Backtrace was generated from '/usr/bin/sound-juicer'

[Thread debugging using libthread_db enabled]
[New Thread 0x7fb6dd2d7910 (LWP 10116)]
0x0000003cbbe0eacd in waitpid () from /lib64/libpthread.so.0
#0  0x0000003cbbe0eacd in waitpid () from /lib64/libpthread.so.0
#1  0x0000003cbc66fbd9 in g_spawn_sync () from /lib64/libglib-2.0.so.0
#2  0x0000003cbc66fef9 in g_spawn_command_line_sync ()
   from /lib64/libglib-2.0.so.0
#3  0x00007fb6e5880dc1 in ?? ()
   from /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
#4  <signal handler called>
#5  0x0000003cbb27a5f4 in free () from /lib64/libc.so.6
#6  0x000000000041d2d1 in album_details_free (album=0x369f422620)
    at sj-structures.c:47
#7  0x0000003cbc635a6c in g_list_foreach () from /lib64/libglib-2.0.so.0
#8  0x000000000041eb14 in fire_signal_idle (signal=0x7fb6e003cb60)
    at sj-metadata-getter.c:163
#9  0x0000003cbc63818e in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
#10 0x0000003cbc63b8e8 in ?? () from /lib64/libglib-2.0.so.0
#11 0x0000003cbc63bd85 in g_main_loop_run () from /lib64/libglib-2.0.so.0
#12 0x000000369f3299a7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
#13 0x000000000041365d in main (argc=1, argv=0x7ffff3375a08) at sj-main.c:1887

Thread 2 (Thread 0x7fb6dd2d7910 (LWP 10116)):
#0  0x0000003cbbe0b63d in pthread_cond_timedwait@@GLIBC_2.3.2 ()
   from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003cbe602392 in pthread_attr_setdetachstate ()
   from /lib64/libgthread-2.0.so.0
No symbol table info available.
#2  0x0000003cbc614193 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x0000003cbc6142af in g_async_queue_timed_pop ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#4  0x0000003cbc662c90 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#5  0x0000003cbc6616e4 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#6  0x0000003cbbe0687a in start_thread () from /lib64/libpthread.so.0
No symbol table info available.
#7  0x0000003cbb2e04cd in clone () from /lib64/libc.so.6
No symbol table info available.
#8  0x0000000000000000 in ?? ()
No symbol table info available.

Thread 1 (Thread 0x7fb6eb332810 (LWP 10112)):
#0  0x0000003cbbe0eacd in waitpid () from /lib64/libpthread.so.0
No symbol table info available.
#1  0x0000003cbc66fbd9 in g_spawn_sync () from /lib64/libglib-2.0.so.0
No symbol table info available.
#2  0x0000003cbc66fef9 in g_spawn_command_line_sync ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#3  0x00007fb6e5880dc1 in ?? ()
   from /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so
No symbol table info available.
#4  <signal handler called>
No symbol table info available.
#5  0x0000003cbb27a5f4 in free () from /lib64/libc.so.6
No symbol table info available.
#6  0x000000000041d2d1 in album_details_free (album=0x369f422620)
    at sj-structures.c:47
        __PRETTY_FUNCTION__ = "album_details_free"
#7  0x0000003cbc635a6c in g_list_foreach () from /lib64/libglib-2.0.so.0
No symbol table info available.
#8  0x000000000041eb14 in fire_signal_idle (signal=0x7fb6e003cb60)
    at sj-metadata-getter.c:163
No locals.
#9  0x0000003cbc63818e in g_main_context_dispatch ()
   from /lib64/libglib-2.0.so.0
No symbol table info available.
#10 0x0000003cbc63b8e8 in ?? () from /lib64/libglib-2.0.so.0
No symbol table info available.
#11 0x0000003cbc63bd85 in g_main_loop_run () from /lib64/libglib-2.0.so.0
No symbol table info available.
#12 0x000000369f3299a7 in gtk_main () from /usr/lib64/libgtk-x11-2.0.so.0
No symbol table info available.
#13 0x000000000041365d in main (argc=1, argv=0x7ffff3375a08) at sj-main.c:1887
        error = 0x0
        selection = <value optimized out>
        device = 0x0
        uris = 0x0
        ctx = <value optimized out>
        entries = {{long_name = 0x422a4d "auto-start", short_name = 97 'a', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x62a7ec, 
            description = 0x422a58 "Start extracting immediately", 
            arg_description = 0x0}, {long_name = 0x42271e "play", 
            short_name = 112 'p', flags = 0, arg = G_OPTION_ARG_NONE, 
            arg_data = 0x62a7f0, 
            description = 0x422a75 "Start playing immediately", 
            arg_description = 0x0}, {long_name = 0x4255a8 "device", 
            short_name = 100 'd', flags = 0, arg = G_OPTION_ARG_FILENAME, 
            arg_data = 0x7ffff33758f0, 
            description = 0x422a8f "What CD device to read", 
            arg_description = 0x422aa6 "DEVICE"}, {long_name = 0x423c65 "", 
            short_name = 0 '\0', flags = 0, 
            arg = G_OPTION_ARG_FILENAME_ARRAY, arg_data = 0x7ffff33758e8, 
            description = 0x422aad "URI to the CD device to read", 
            arg_description = 0x0}, {long_name = 0x0, short_name = 0 '\0', 
            flags = 0, arg = G_OPTION_ARG_NONE, arg_data = 0x0, 
            description = 0x0, arg_description = 0x0}}
The program is running.  Quit anyway (and detach it)? (y or n) [answered Y; input not from terminal]


----------- .xsession-errors ---------------------
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/79/7375835d3968b476989bcf96f89d28cfbe1aa8.debug
Missing separate debuginfo for /usr/lib64/gstreamer-0.10/libgstspeex.so
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/14/dd2757bf55f5226e8eeeb91b3376515d422d07.debug
Missing separate debuginfo for /usr/lib64/gstreamer-0.10/libgstcdparanoia.so
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/3b/d075d0069ff04eb6345fdd23abfa3744838713.debug
Missing separate debuginfo for /usr/lib64/libgstcdda-0.10.so.0
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/5c/af5c58836370c6614ddac9af3f4b25acef5988.debug
Missing separate debuginfo for /usr/lib64/libcdda_interface.so.0
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/91/6ff511033c961252ecb21388f1337660e9d3dd.debug
Missing separate debuginfo for /usr/lib64/libcdda_paranoia.so.0
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/7f/3184caa7cd7799b70511649039b806cfa7e68a.debug
Missing separate debuginfo for /usr/lib64/gstreamer-0.10/libgstgio.so
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/a0/87bf5b042b09ae2347b61a94fe9b3d095f95bb.debug
Missing separate debuginfo for /lib64/libnss_dns.so.2
Try: yum --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/80/1f664585a39fffba39f1b42bb779dc5fb470c6.debug
--------------------------------------------------
Comment 11 Bastien Nocera 2009-05-07 18:08:36 EDT
should really be fixed now:
http://koji.fedoraproject.org/koji/taskinfo?taskID=1342322

Could you please check?
Comment 12 Adrin Jalali 2009-05-07 21:20:12 EDT
YES :) :)
Comment 13 Bug Zapper 2009-06-09 11:02:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Michal Nowak 2009-06-14 15:14:07 EDT
Looks like sound-juicer-2.26.1-1.fc11.i586 is the most recent one in F-11. Can I ask for F-11 update (testing at least)? It's really annoying bug.
Comment 15 Michal Nowak 2009-06-14 15:37:59 EDT
Anyway. Installed sound-juicer-2.26.1-3.fc11.i586, restarted GNOME and it's still failing this way:

newman ~ $ sound-juicer 
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=nnPA9o2KFhxR90_AuR5uROXLY4Q-
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>


<< window pops up, saying: >>
"""
Could not read the CD

Sound Juicer could not read the track listing on this CD.
Reason: Cannot access CD: The specified location is not 
"""

--> Close

(sound-juicer:3997): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
*** glibc detected *** sound-juicer: double free or corruption (fasttop): 0xb5a21378 ***
======= Backtrace: =========
/lib/libc.so.6[0x634231]
/lib/libglib-2.0.so.0(g_free+0x36)[0x8032b6]
/lib/libglib-2.0.so.0(g_error_free+0x29)[0x7eaee9]
sound-juicer[0x8065553]
/lib/libglib-2.0.so.0[0x7f8f31]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f8)[0x7fad78]
/lib/libglib-2.0.so.0[0x7fe310]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1bf)[0x7fe77f]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0x4e66029]
sound-juicer(main+0x12ba)[0x805858a]
/lib/libc.so.6(__libc_start_main+0xe6)[0x5daa66]
sound-juicer[0x8053461]
======= Memory map: ========
00110000-001a3000 r-xp 00000000 fd:01 849486     /usr/lib/libgdk-x11-2.0.so.0.1600.2
001a3000-001a6000 rw-p 00093000 fd:01 849486     /usr/lib/libgdk-x11-2.0.so.0.1600.2
001a6000-00236000 r-xp 00000000 fd:01 849599     /usr/lib/libgnomeui-2.so.0.2400.1
00236000-00239000 rw-p 00090000 fd:01 849599     /usr/lib/libgnomeui-2.so.0.2400.1
00239000-0029e000 r-xp 00000000 fd:01 849597     /usr/lib/libbonoboui-2.so.0.0.0
0029e000-002a1000 rw-p 00064000 fd:01 849597     /usr/lib/libbonoboui-2.so.0.0.0
002a1000-002b2000 r-xp 00000000 fd:01 941433     /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
002b2000-002b3000 rw-p 00011000 fd:01 941433     /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
002b3000-002b5000 r-xp 00000000 fd:01 941438     /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
002b5000-002b6000 rw-p 00001000 fd:01 941438     /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
002b6000-002ba000 r-xp 00000000 fd:01 939964     /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
002ba000-002bb000 rw-p 00003000 fd:01 939964     /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
002bb000-002ce000 r-xp 00000000 fd:01 850350     /usr/lib/libgvfscommon.so.0.0.0
002ce000-002cf000 rw-p 00013000 fd:01 850350     /usr/lib/libgvfscommon.so.0.0.0
002cf000-002d1000 r-xp 00000000 fd:01 873869     /usr/lib/gconv/ISO8859-1.so
002d1000-002d2000 r--p 00001000 fd:01 873869     /usr/lib/gconv/ISO8859-1.so
002d2000-002d3000 rw-p 00002000 fd:01 873869     /usr/lib/gconv/ISO8859-1.so
002d3000-002d4000 r-xp 00000000 fd:01 941138     /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
002d4000-002d5000 rw-p 00001000 fd:01 941138     /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
002d7000-002f8000 r-xp 00000000 fd:01 849899     /usr/lib/libbrasero-media.so.0.1.1
002f8000-002f9000 rw-p 00021000 fd:01 849899     /usr/lib/libbrasero-media.so.0.1.1
002f9000-00311000 r-xp 00000000 fd:01 851767     /usr/lib/libbeagle.so.1.0.3
00311000-00312000 rw-p 00017000 fd:01 851767     /usr/lib/libbeagle.so.1.0.3
00312000-0034a000 r-xp 00000000 fd:01 106102     /usr/lib/libgsf-1.so.114.0.11
0034a000-0034d000 rw-p 00037000 fd:01 106102     /usr/lib/libgsf-1.so.114.0.11
0034d000-0034e000 rw-p 0034d000 00:00 0 
0034e000-00385000 r-xp 00000000 fd:01 856106     /usr/lib/libcroco-0.6.so.3.0.1
00385000-00388000 rw-p 00036000 fd:01 856106     /usr/lib/libcroco-0.6.so.3.0.1
00388000-0038d000 r-xp 00000000 fd:01 860861     /usr/lib/gstreamer-0.10/libgstfaac.so
0038d000-0038e000 rw-p 00004000 fd:01 860861     /usr/lib/gstreamer-0.10/libgstfaac.so
0038e000-0039d000 r-xp 00000000 fd:01 854867     /usr/lib/libfaac.so.0.0.0
0039d000-003a0000 rw-p 0000e000 fd:01 854867     /usr/lib/libfaac.so.0.0.0
003a1000-003d6000 r-xp 00000000 fd:01 851878     /usr/lib/librsvg-2.so.2.26.0
003d6000-003d7000 rw-p 00035000 fd:01 851878     /usr/lib/librsvg-2.so.2.26.0
003d7000-0040e000 r-xp 00000000 fd:01 854411     /usr/lib/libgstbase-0.10.so.0.20.0
0040e000-0040f000 rw-p 00036000 fd:01 854411     /usr/lib/libgstbase-0.10.so.0.20.0
0040f000-00430000 r-xp 00000000 fd:01 850945     /usr/lib/libgstaudio-0.10.so.0.16.0
00430000-00431000 rw-p 00021000 fd:01 850945     /usr/lib/libgstaudio-0.10.so.0.16.0
00431000-004d3000 r-xp 00000000 fd:01 854454     /usr/lib/libmp4v2.so.0.0.0
004d3000-004d7000 rw-p 000a1000 fd:01 854454     /usr/lib/libmp4v2.so.0.0.0
004d7000-004da000 r-xp 00000000 fd:01 860474     /usr/lib/gstreamer-0.10/libgstwavenc.so
004Aborted


and sometimes:

(sound-juicer:3930): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
Segmentation fault


newman ~ $ valgrind --alignment=8 sound-juicer
==2636== Memcheck, a memory error detector.
==2636== Copyright (C) 2002-2008, and GNU GPL'd, by Julian Seward et al.
==2636== Using LibVEX rev 1884, a library for dynamic binary translation.
==2636== Copyright (C) 2004-2008, and GNU GPL'd, by OpenWorks LLP.
==2636== Using valgrind-3.4.1, a dynamic binary instrumentation framework.
==2636== Copyright (C) 2000-2008, and GNU GPL'd, by Julian Seward et al.
==2636== For more details, rerun with: -v
==2636== 
==2637== 
==2637== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 116 from 1)
==2637== malloc/free: in use at exit: 1,221,112 bytes in 16,730 blocks.
==2637== malloc/free: 31,637 allocs, 14,907 frees, 2,044,662 bytes allocated.
==2637== For counts of detected errors, rerun with: -v
==2637== searching for pointers to 16,730 not-freed blocks.
==2637== checked 2,164,840 bytes.
==2637== 
==2637== LEAK SUMMARY:
==2637==    definitely lost: 0 bytes in 0 blocks.
==2637==      possibly lost: 112,684 bytes in 227 blocks.
==2637==    still reachable: 1,108,428 bytes in 16,503 blocks.
==2637==         suppressed: 0 bytes in 0 blocks.
==2637== Rerun with --leak-check=full to see details of leaked memory.
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=nnPA9o2KFhxR90_AuR5uROXLY4Q-
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>

(sound-juicer:2636): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
==2636== Invalid free() / delete / delete[]
==2636==    at 0x4005BCA: free (vg_replace_malloc.c:323)
==2636==    by 0x8032B5: g_free (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x7EAEE8: g_error_free (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x8065552: fire_signal_idle (sj-metadata-getter.c:166)
==2636==    by 0x7F8F30: (within /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x7FAD77: g_main_context_dispatch (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x7FE30F: (within /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x7FE77E: g_main_loop_run (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x4E66028: gtk_main (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x8058589: main (sj-main.c:1887)
==2636==  Address 0x77f75f8 is 0 bytes inside a block of size 56 free'd
==2636==    at 0x4005BCA: free (vg_replace_malloc.c:323)
==2636==    by 0x8032B5: g_free (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x7EAEE8: g_error_free (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x8057161: metadata_cb (sj-main.c:819)
==2636==    by 0x806851E: metadata_marshal_VOID__POINTER_POINTER (sj-metadata-marshal.c:82)
==2636==    by 0x8AF331: g_closure_invoke (in /lib/libgobject-2.0.so.0.2000.3)
==2636==    by 0x8C49A7: (within /lib/libgobject-2.0.so.0.2000.3)
==2636==    by 0x8C5D1C: g_signal_emit_valist (in /lib/libgobject-2.0.so.0.2000.3)
==2636==    by 0x8C6031: g_signal_emit_by_name (in /lib/libgobject-2.0.so.0.2000.3)
==2636==    by 0x8065534: fire_signal_idle (sj-metadata-getter.c:160)
==2636==    by 0x7F8F30: (within /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x7FAD77: g_main_context_dispatch (in /lib/libglib-2.0.so.0.2000.3)
==2636== 
==2636== Invalid read of size 4
==2636==    at 0x818EA6: g_slice_alloc (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x819514: g_slice_copy (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x4EE56C8: gtk_border_copy (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x8ACBCB: (within /lib/libgobject-2.0.so.0.2000.3)
==2636==    by 0x4F86A2A: gtk_widget_style_get_valist (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F86BA5: gtk_widget_style_get (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F86C3E: (within /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F86CF9: (within /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4EF2DE8: (within /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4DDDE5F: gtk_container_forall (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F86CA7: (within /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F8A5FA: gtk_widget_region_intersect (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==  Address 0x33 is not stack'd, malloc'd or (recently) free'd
==2636== 
==2636== Process terminating with default action of signal 11 (SIGSEGV)
==2636==  Access not within mapped region at address 0x33
==2636==    at 0x818EA6: g_slice_alloc (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x819514: g_slice_copy (in /lib/libglib-2.0.so.0.2000.3)
==2636==    by 0x4EE56C8: gtk_border_copy (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x8ACBCB: (within /lib/libgobject-2.0.so.0.2000.3)
==2636==    by 0x4F86A2A: gtk_widget_style_get_valist (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F86BA5: gtk_widget_style_get (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F86C3E: (within /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F86CF9: (within /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4EF2DE8: (within /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4DDDE5F: gtk_container_forall (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F86CA7: (within /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==    by 0x4F8A5FA: gtk_widget_region_intersect (in /usr/lib/libgtk-x11-2.0.so.0.1600.2)
==2636==  If you believe this happened as a result of a stack overflow in your
==2636==  program's main thread (unlikely but possible), you can try to increase
==2636==  the size of the main thread stack using the --main-stacksize= flag.
==2636==  The main thread stack size used in this run was 10485760.
==2636== 
==2636== ERROR SUMMARY: 2 errors from 2 contexts (suppressed: 296 from 1)
==2636== malloc/free: in use at exit: 4,819,875 bytes in 57,322 blocks.
==2636== malloc/free: 286,657 allocs, 229,336 frees, 23,023,481 bytes allocated.
==2636== For counts of detected errors, rerun with: -v
==2636== searching for pointers to 57,322 not-freed blocks.
==2636== checked 31,864,996 bytes.
==2636== 
==2636== LEAK SUMMARY:
==2636==    definitely lost: 18,366 bytes in 722 blocks.
==2636==      possibly lost: 442,197 bytes in 819 blocks.
==2636==    still reachable: 4,359,312 bytes in 55,781 blocks.
==2636==         suppressed: 0 bytes in 0 blocks.
==2636== Rerun with --leak-check=full to see details of leaked memory.
Segmentation fault


(gdb) thread apply all back
backend_parent_class    background              backtrace_helper        backtrace_symbols_fd    
backend_status_changed  backtrace               backtrace_symbols       
(gdb) thread apply all backtrace
backtrace             backtrace_helper      backtrace_symbols     backtrace_symbols_fd  
(gdb) thread apply all backtrace

Thread 3 (Thread 0xb677eb70 (LWP 2649)):
#0  0x00da9422 in __kernel_vsyscall ()
#1  0x007732d2 in pthread_cond_timedwait@@GLIBC_2.3.2 () from /lib/libpthread.so.0
#2  0x00a6df1e in g_cond_timed_wait_posix_impl (cond=0xfffffdfc, entered_mutex=0x3, abs_time=0xb677e268)
    at gthread-posix.c:242
#3  0x007d6d6c in g_async_queue_pop_intern_unlocked (queue=0x807b0d8, try=<value optimized out>, end_time=0xb677e268)
    at gasyncqueue.c:365
#4  0x007d6e71 in IA__g_async_queue_timed_pop (queue=0x807b0d8, end_time=0xb677e268) at gasyncqueue.c:491
#5  0x0082670e in g_thread_pool_wait_for_new_pool () at gthreadpool.c:121
#6  g_thread_pool_thread_proxy () at gthreadpool.c:324
#7  0x0082516f in g_thread_create_proxy (data=0x831dc00) at gthread.c:635
#8  0x0076e935 in start_thread () from /lib/libpthread.so.0
#9  0x006a282e in clone () from /lib/libc.so.6

Thread 1 (Thread 0xb7fd0780 (LWP 2644)):
#0  0x00da9422 in __kernel_vsyscall ()
#1  0x005ef7c1 in raise () from /lib/libc.so.6
#2  0x005f1092 in abort () from /lib/libc.so.6
#3  0x0062ddad in __libc_message () from /lib/libc.so.6
#4  0x00634231 in malloc_printerr () from /lib/libc.so.6
#5  0x008032b6 in IA__g_free (mem=0xb5b21378) at gmem.c:190
#6  0x007eaee9 in IA__g_error_free (error=0x84d35b0) at gerror.c:125
#7  0x08065553 in fire_signal_idle (signal=0xb5b1f650) at sj-metadata-getter.c:166
#8  0x007f8f31 in g_idle_dispatch (source=0xb5b215b8, callback=0, user_data=0xb5b1f650) at gmain.c:3919
#9  0x007fad78 in g_main_dispatch (context=<value optimized out>) at gmain.c:1814
#10 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2367
#11 0x007fe310 in g_main_context_iterate (context=0x809c2b8, block=<value optimized out>, dispatch=1, self=0x80715e8)
    at gmain.c:2445
#12 0x007fe77f in IA__g_main_loop_run (loop=0x80849a8) at gmain.c:2653
#13 0x04e66029 in IA__gtk_main () at gtkmain.c:1205
#14 0x0805858a in main (argc=1, argv=0xbffff484) at sj-main.c:1887



Is this issue the same as the original one?
Comment 16 Bastien Nocera 2009-06-24 10:01:18 EDT
*** Bug 506605 has been marked as a duplicate of this bug. ***
Comment 17 Fedora Update System 2009-06-24 10:02:51 EDT
sound-juicer-2.26.1-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sound-juicer-2.26.1-3.fc11
Comment 18 Bastien Nocera 2009-06-24 10:15:05 EDT
Some sucker (ie. me) forgot to actually push the update, the package had been built since the beginning of May...
Comment 19 Dr. Tilmann Bubeck 2009-06-24 15:33:09 EDT
I tried sound-juicer-2.26.1-3.fc11.i586 on a updated FC11 and still it fails. However, the error is a little bit different now:

(sound-juicer:3655): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
*** glibc detected *** sound-juicer: double free or corruption (!prev): 0x08e399a0 ***
======= Backtrace: =========
/lib/libc.so.6[0x5b3231]
/lib/libglib-2.0.so.0(g_free+0x36)[0x8d62b6]
/lib/libglib-2.0.so.0(g_error_free+0x29)[0x8bdee9]
sound-juicer[0x8065553]
/lib/libglib-2.0.so.0[0x8cbf31]
/lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f8)[0x8cdd78]
/lib/libglib-2.0.so.0[0x8d1310]
/lib/libglib-2.0.so.0(g_main_loop_run+0x1bf)[0x8d177f]
/usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0x3086029]
sound-juicer(main+0x12ba)[0x805858a]
/lib/libc.so.6(__libc_start_main+0xe6)[0x559a66]
sound-juicer[0x8053461]
======= Memory map: ========
00101000-00178000 r-xp 00000000 08:07 90560      /lib/libgio-2.0.so.0.2000.3
00178000-0017a000 rw-p 00076000 08:07 90560      /lib/libgio-2.0.so.0.2000.3
0017a000-00190000 r-xp 00000000 08:07 90308      /lib/libpthread-2.10.1.so
00190000-00191000 ---p 00016000 08:07 90308      /lib/libpthread-2.10.1.so
00191000-00192000 r--p 00016000 08:07 90308      /lib/libpthread-2.10.1.so
00192000-00193000 rw-p 00017000 08:07 90308      /lib/libpthread-2.10.1.so
00193000-00195000 rw-p 00193000 00:00 0 
00195000-00197000 r-xp 00000000 08:07 90356      /lib/libutil-2.10.1.so
00197000-00198000 r--p 00001000 08:07 90356      /lib/libutil-2.10.1.so
00198000-00199000 rw-p 00002000 08:07 90356      /lib/libutil-2.10.1.so
00199000-001a4000 r-xp 00000000 08:07 90324      /lib/libnss_files-2.10.1.so
001a4000-001a5000 r--p 0000a000 08:07 90324      /lib/libnss_files-2.10.1.so
001a5000-001a6000 rw-p 0000b000 08:07 90324      /lib/libnss_files-2.10.1.so
001a6000-001b0000 r-xp 00000000 08:07 90328      /lib/libnss_nis-2.10.1.so
001b0000-001b1000 r--p 00009000 08:07 90328      /lib/libnss_nis-2.10.1.so
001b1000-001b2000 rw-p 0000a000 08:07 90328      /lib/libnss_nis-2.10.1.so
001b2000-001c3000 r-xp 00000000 08:07 1362002    /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
001c3000-001c4000 rw-p 00011000 08:07 1362002    /usr/lib/gtk-2.0/2.10.0/engines/libnodoka.so
001c4000-001c6000 r-xp 00000000 08:07 1362408    /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
001c6000-001c7000 rw-p 00001000 08:07 1362408    /usr/lib/gtk-2.0/modules/libpk-gtk-module.so
001c7000-001cb000 r-xp 00000000 08:07 1362008    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
001cb000-001cc000 rw-p 00003000 08:07 1362008    /usr/lib/gtk-2.0/modules/libcanberra-gtk-module.so
001cc000-001da000 r-xp 00000000 08:07 1362403    /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
001da000-001db000 rw-p 0000d000 08:07 1362403    /usr/lib/gtk-2.0/modules/libgnomebreakpad.so
001db000-00229000 r-xp 00000000 08:07 1688540    /usr/lib/bug-buddy/libbreakpad.so.0.0.0
00229000-0022a000 rw-p 0004e000 08:07 1688540    /usr/lib/bug-buddy/libbreakpad.so.0.0.0
0022a000-0023f000 r-xp 00000000 08:07 1156686    /usr/lib/libelf-0.141.so
0023f000-00240000 r--p 00014000 08:07 1156686    /usr/lib/libelf-0.141.so
00240000-00241000 rw-p 00015000 08:07 1156686    /usr/lib/libelf-0.141.so
00241000-0024c000 r-xp 00000000 08:07 1321368    /usr/lib/gstreamer-0.10/libgsttaglib.so
0024c000-0024d000 rw-p 0000a000 08:07 1321368    /usr/lib/gstreamer-0.10/libgsttaglib.so
0024d000-0024e000 r-xp 00000000 08:07 1362011    /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
0024e000-0024f000 rw-p 00001000 08:07 1362011    /usr/lib/gtk-2.0/2.10.0/loaders/svg_loader.so
00250000-00260000 r-xp 00000000 08:07 1328835    /usr/lib/gio/modules/libgioremote-volume-monitor.so
00260000-00261000 rw-p 0000f000 08:07 1328835    /usr/lib/gio/modules/libgioremote-volume-monitor.so
00261000-00274000 r-xp 00000000 08:07 1158799    /usr/lib/libgvfscommon.so.0.0.0
00274000-00275000 rw-p 00013000 08:07 1158799    /usr/lib/libgvfscommon.so.0.0.0
00275000-00291000 r-xp 00000000 08:07 1329619    /usr/lib/gio/modules/libgvfsdbus.so
00291000-00292000 rw-p 0001c000 08:07 1329619    /usr/lib/gio/modules/libgvfsdbus.so
00292000-002be000 r-xp 00000000 08:07 1320837    /usr/lib/g0ee1a66e-d94a-cd43-5dd5f5c9-34942cf9 is dumped
[bubeck@sam ~]$
Comment 20 Michal Nowak 2009-06-25 06:41:24 EDT
(In reply to comment #19)
> I tried sound-juicer-2.26.1-3.fc11.i586 on a updated FC11 and still it fails.
> However, the error is a little bit different now:
> [...]

Well, I have the same experience with sound-juicer-2.26.1-3.fc11.x86_64.
Comment 21 Bastien Nocera 2009-06-25 13:25:59 EDT
(In reply to comment #19)
> I tried sound-juicer-2.26.1-3.fc11.i586 on a updated FC11 and still it fails.
> However, the error is a little bit different now:
> 
> (sound-juicer:3655): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display:
> assertion `atom != GDK_NONE' failed
> *** glibc detected *** sound-juicer: double free or corruption (!prev):
> 0x08e399a0 ***
> ======= Backtrace: =========
> /lib/libc.so.6[0x5b3231]
> /lib/libglib-2.0.so.0(g_free+0x36)[0x8d62b6]
> /lib/libglib-2.0.so.0(g_error_free+0x29)[0x8bdee9]
> sound-juicer[0x8065553]
> /lib/libglib-2.0.so.0[0x8cbf31]
> /lib/libglib-2.0.so.0(g_main_context_dispatch+0x1f8)[0x8cdd78]
> /lib/libglib-2.0.so.0[0x8d1310]
> /lib/libglib-2.0.so.0(g_main_loop_run+0x1bf)[0x8d177f]
> /usr/lib/libgtk-x11-2.0.so.0(gtk_main+0xb9)[0x3086029]
> sound-juicer(main+0x12ba)[0x805858a]
> /lib/libc.so.6(__libc_start_main+0xe6)[0x559a66]

Not the same bug. Could you please file a new one?

The patch in the new package pretty much lines up with what I committed upstream, and brings us in line with the latest gnome-2-26 branch. So it would be an upstream bug as well...
Comment 22 Bastien Nocera 2009-06-25 13:26:21 EDT
Obviously I'll need a backtrace too.
Comment 23 Fedora Update System 2009-06-26 22:46:15 EDT
sound-juicer-2.26.1-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sound-juicer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-6978
Comment 24 Michal Nowak 2009-06-30 06:14:48 EDT
After the recent bunch of updates in testing (gio I guess) s-j stopped aborting (having the -3.fc11 version) and works as expected.
Comment 25 Dr. Tilmann Bubeck 2009-06-30 15:01:22 EDT
Yes, that's correct. I tried sound-juicer-2.26.1-3.fc11 without any other updates and it still crashes (see my Comment #19). After doing "yum update" which brings a lot of gvfs-XXX.rpms the very same sound-juicer-2.26.1-3.fc11 worked with unknown CDs without crashing.

Works for me.
Comment 26 Juergen Gier 2009-07-28 11:32:10 EDT
Still doesn't work for me with s-j-2.26.1-4.fc11.x86_64. I've tried reverting to v. -3, but no luck.
Immediately after start a messagebox pops up:

"Die CD konnte nicht eingelesen werden.

Sound Juicer konnte die Titelliste auf dieser CD nicht einlesen.
Grund: Auf CD kann nicht zugegriffen werden: Der angegebene Ort ist nicht eingehängt"
(same as in comment #15)

When I close the box, s-j crashes.

Also, what's with those gst-plugin warnings below? FWIW, I've got
libavcodec52-0.5.30.fc11 and
gst-ffmpeg-0.10.6-1.fc11

(sound-juicer:10128): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstffmpeg.so': /usr/lib64/libavcodec.so.52: undefined symbol: av_random_init

(sound-juicer:10128): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstpostproc.so': /usr/lib64/libavcodec.so.52: undefined symbol: av_random_init
Sense key: 0x70 0x00 0x05 0x00 0x00 0x00 0x00 0x0a 0x00 0x00 0x00 0x00 0x30 0x02 0x00 0x00 0x00 0x00 0x00 
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=oMgOifvSrkBi8l8jHr_FFw_C.O4-
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>

(sound-juicer:10127): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

(sound-juicer:10127): Gdk-CRITICAL **: gdk_window_is_viewable: assertion `GDK_IS_WINDOW (window)' failed

(sound-juicer:10127): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(sound-juicer:10127): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(sound-juicer:10127): Gdk-CRITICAL **: gdk_window_is_viewable: assertion `GDK_IS_WINDOW (window)' failed

(sound-juicer:10127): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(sound-juicer:10127): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(sound-juicer:10127): Gdk-CRITICAL **: gdk_window_is_viewable: assertion `GDK_IS_WINDOW (window)' failed

(sound-juicer:10127): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(sound-juicer:10127): GLib-GObject-CRITICAL **: g_object_ref: assertion `G_IS_OBJECT (object)' failed

(sound-juicer:10127): Gdk-CRITICAL **: gdk_window_is_viewable: assertion `GDK_IS_WINDOW (window)' failed

(sound-juicer:10127): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(sound-juicer:10127): Gdk-CRITICAL **: gdk_window_end_paint: assertion `GDK_IS_WINDOW (window)' failed

(sound-juicer:10127): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

(sound-juicer:10127): GLib-GObject-CRITICAL **: g_object_unref: assertion `G_IS_OBJECT (object)' failed

and

valgrind --alignment=8 sound-juicer
==10158== Memcheck, a memory error detector.
==10158== Copyright (C) 2002-2008, and GNU GPL'd, by Julian Seward et al.
==10158== Using LibVEX rev 1884, a library for dynamic binary translation.
==10158== Copyright (C) 2004-2008, and GNU GPL'd, by OpenWorks LLP.
==10158== Using valgrind-3.4.1, a dynamic binary instrumentation framework.
==10158== Copyright (C) 2000-2008, and GNU GPL'd, by Julian Seward et al.
==10158== For more details, rerun with: -v
==10158== 

(sound-juicer:10159): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstffmpeg.so': /usr/lib64/libavcodec.so.52: undefined symbol: av_random_init

(sound-juicer:10159): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstpostproc.so': /usr/lib64/libavcodec.so.52: undefined symbol: av_random_init
==10159== 
==10159== ERROR SUMMARY: 0 errors from 0 contexts (suppressed: 82 from 2)
==10159== malloc/free: in use at exit: 1,260,308 bytes in 11,595 blocks.
==10159== malloc/free: 23,380 allocs, 11,785 frees, 2,535,674 bytes allocated.
==10159== For counts of detected errors, rerun with: -v
==10159== searching for pointers to 11,595 not-freed blocks.
==10159== checked 2,708,608 bytes.
==10159== 
==10159== LEAK SUMMARY:
==10159==    definitely lost: 0 bytes in 0 blocks.
==10159==      possibly lost: 121,972 bytes in 184 blocks.
==10159==    still reachable: 1,138,336 bytes in 11,411 blocks.
==10159==         suppressed: 0 bytes in 0 blocks.
==10159== Rerun with --leak-check=full to see details of leaked memory.
Sense key: 0x70 0x00 0x05 0x00 0x00 0x00 0x00 0x0a 0x00 0x00 0x00 0x00 0x30 0x02 0x00 0x00 0x00 0x00 0x00 
==10158== Thread 2:
==10158== Invalid read of size 1
==10158==    at 0x38FC01172D: (within /usr/lib64/libbrasero-media.so.0.1.1)
==10158==    by 0x38FC012D6B: (within /usr/lib64/libbrasero-media.so.0.1.1)
==10158==    by 0x38FC013096: (within /usr/lib64/libbrasero-media.so.0.1.1)
==10158==    by 0x38F2E60933: (within /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0x3D76C06869: start_thread (in /lib64/libpthread-2.10.1.so)
==10158==    by 0x3D760DE25C: clone (in /lib64/libc-2.10.1.so)
==10158==  Address 0xbb85c78 is 0 bytes after a block of size 976 alloc'd
==10158==    at 0x4A05414: calloc (vg_replace_malloc.c:397)
==10158==    by 0x38F2E40297: g_malloc0 (in /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0x38FC008657: (within /usr/lib64/libbrasero-media.so.0.1.1)
==10158==    by 0x38FC008855: brasero_mmc3_read_cd_text (in /usr/lib64/libbrasero-media.so.0.1.1)
==10158==    by 0x38FC011666: (within /usr/lib64/libbrasero-media.so.0.1.1)
==10158==    by 0x38FC012D6B: (within /usr/lib64/libbrasero-media.so.0.1.1)
==10158==    by 0x38FC013096: (within /usr/lib64/libbrasero-media.so.0.1.1)
==10158==    by 0x38F2E60933: (within /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0x3D76C06869: start_thread (in /lib64/libpthread-2.10.1.so)
==10158==    by 0x3D760DE25C: clone (in /lib64/libc-2.10.1.so)
--10158-- WARNING: unhandled syscall: 294
--10158-- You may be able to write your own handler.
--10158-- Read the file README_MISSING_SYSCALL_OR_IOCTL.
--10158-- Nevertheless we consider this a bug.  Please report
--10158-- it at http://valgrind.org/support/bug_reports.html.

(sound-juicer:10158): GLib-GIO-WARNING **: Could not initialize inotify

==10161== 
==10161== ERROR SUMMARY: 1 errors from 1 contexts (suppressed: 6 from 2)
==10161== malloc/free: in use at exit: 2,544,923 bytes in 26,371 blocks.
==10161== malloc/free: 65,601 allocs, 39,230 frees, 7,683,471 bytes allocated.
==10161== For counts of detected errors, rerun with: -v
==10161== searching for pointers to 26,371 not-freed blocks.
==10161== checked 3,767,848 bytes.
==10161== 
==10161== LEAK SUMMARY:
==10161==    definitely lost: 15,520 bytes in 362 blocks.
==10161==      possibly lost: 222,684 bytes in 265 blocks.
==10161==    still reachable: 2,306,719 bytes in 25,744 blocks.
==10161==         suppressed: 0 bytes in 0 blocks.
==10161== Rerun with --leak-check=full to see details of leaked memory.
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=oMgOifvSrkBi8l8jHr_FFw_C.O4-
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>

(sound-juicer:10158): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed
==10158== 
==10158== Thread 1:
==10158== Invalid write of size 8
==10158==    at 0xB2BB608: (within /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so)
==10158==    by 0x38F2E41A18: g_logv (in /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0x38F2E41DB2: g_log (in /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0x38F5E587E1: gdk_x11_atom_to_xatom_for_display (in /usr/lib64/libgdk-x11-2.0.so.0.1600.2)
==10158==    by 0x38F5E659CE: (within /usr/lib64/libgdk-x11-2.0.so.0.1600.2)
==10158==    by 0x38F64459FA: gtk_window_set_modal (in /usr/lib64/libgtk-x11-2.0.so.0.1600.2)
==10158==    by 0x38F62B1F01: gtk_dialog_run (in /usr/lib64/libgtk-x11-2.0.so.0.1600.2)
==10158==    by 0x4125A7: (within /usr/bin/sound-juicer)
==10158==    by 0x38F320B83D: g_closure_invoke (in /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F3220B82: (within /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F3221F48: g_signal_emit_valist (in /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F32222B3: g_signal_emit_by_name (in /lib64/libgobject-2.0.so.0.2000.4)
==10158==  Address 0x13eec7c0 is 0 bytes after a block of size 128 alloc'd
==10158==    at 0x4A05414: calloc (vg_replace_malloc.c:397)
==10158==    by 0x38F2E40297: g_malloc0 (in /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0xB2BB5F9: (within /usr/lib64/gtk-2.0/modules/libgnomebreakpad.so)
==10158==    by 0x38F2E41A18: g_logv (in /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0x38F2E41DB2: g_log (in /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0x38F5E587E1: gdk_x11_atom_to_xatom_for_display (in /usr/lib64/libgdk-x11-2.0.so.0.1600.2)
==10158==    by 0x38F5E659CE: (within /usr/lib64/libgdk-x11-2.0.so.0.1600.2)
==10158==    by 0x38F64459FA: gtk_window_set_modal (in /usr/lib64/libgtk-x11-2.0.so.0.1600.2)
==10158==    by 0x38F62B1F01: gtk_dialog_run (in /usr/lib64/libgtk-x11-2.0.so.0.1600.2)
==10158==    by 0x4125A7: (within /usr/bin/sound-juicer)
==10158==    by 0x38F320B83D: g_closure_invoke (in /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F3220B82: (within /lib64/libgobject-2.0.so.0.2000.4)
==10158== 
==10158== Invalid read of size 8
==10158==    at 0x38F2E550E4: g_slice_alloc (in /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0x38F2E567BD: g_slist_prepend (in /lib64/libglib-2.0.so.0.2000.4)
==10158==    by 0x38F320FEBB: (within /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F322BB87: g_type_create_instance (in /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F3210A4B: (within /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F3211A38: g_object_newv (in /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F3212584: g_object_new_valist (in /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F32126DB: g_object_new (in /lib64/libgobject-2.0.so.0.2000.4)
==10158==    by 0x38F636DD84: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.2)
==10158==    by 0x38F636E31B: gtk_rc_get_style (in /usr/lib64/libgtk-x11-2.0.so.0.1600.2)
==10158==    by 0x38F64380B7: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.2)
==10158==    by 0x38F6391394: (within /usr/lib64/libgtk-x11-2.0.so.0.1600.2)
==10158==  Address 0x700000008 is not stack'd, malloc'd or (recently) free'd
==10158== 
==10158== ERROR SUMMARY: 3 errors from 3 contexts (suppressed: 80 from 2)
==10158== malloc/free: in use at exit: 3,439,739 bytes in 35,934 blocks.
==10158== malloc/free: 103,179 allocs, 67,245 frees, 12,458,552 bytes allocated.
==10158== For counts of detected errors, rerun with: -v
==10158== searching for pointers to 35,934 not-freed blocks.
==10158== checked 38,196,008 bytes.
==10158== 
==10158== LEAK SUMMARY:
==10158==    definitely lost: 32,455 bytes in 788 blocks.
==10158==      possibly lost: 390,340 bytes in 511 blocks.
==10158==    still reachable: 3,016,944 bytes in 34,635 blocks.
==10158==         suppressed: 0 bytes in 0 blocks.
==10158== Rerun with --leak-check=full to see details of leaked memory.
Comment 27 Michal Nowak 2009-08-03 05:07:19 EDT
Juergen: What's the gvfs version?
Comment 28 Bastien Nocera 2009-08-03 05:56:32 EDT
I don't see anything related to sound-juicer in that valgrind trace. Can you get a backtrace from the memory corruption crash you saw earlier?
Comment 29 Juergen Gier 2009-08-03 11:56:52 EDT
I have gvfs-1.2.3-8.fc11.x86_64.

After updating to gstreamer-ffmpeg-0.10.7-2.fc11.1 output is slightly different (the GST_PIPELINE error is new):

gdb /usr/bin/sound-juicer
GNU gdb (GDB) Fedora (6.8.50.20090302-33.fc11)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
(gdb) run
Starting program: /usr/bin/sound-juicer 
[Thread debugging using libthread_db enabled]
Detaching after fork from child process 4282.

(sound-juicer:4282): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstffmpeg.so': /usr/lib64/libavcodec.so.52: undefined symbol: av_random_init

(sound-juicer:4282): GStreamer-WARNING **: Failed to load plugin '/usr/lib64/gstreamer-0.10/libgstpostproc.so': /usr/lib64/libavcodec.so.52: undefined symbol: av_random_init
[New Thread 0x7ffff1381910 (LWP 4283)]
Sense key: 0x70 0x00 0x05 0x00 0x00 0x00 0x00 0x0a 0x00 0x00 0x00 0x00 0x30 0x02 0x00 0x00 0x00 0x00 0x00 
[New Thread 0x7fffeb34d910 (LWP 4284)]
[New Thread 0x7fffea94c910 (LWP 4285)]
0:00:00.484835549  4279       0x632a90 ERROR           GST_PIPELINE ./grammar.y:604:_gst_parse_yyparse: Kein Element »ffmux_mp4«
[New Thread 0x7fffe3dd3910 (LWP 4286)]
[Thread 0x7ffff1381910 (LWP 4283) exited]
[New Thread 0x7fffe3167910 (LWP 4287)]
MusicBrainz: Connecting to http://musicbrainz.org:80
MusicBrainz: GET /ws/1/release/?type=xml&discid=oMgOifvSrkBi8l8jHr_FFw_C.O4-
[Thread 0x7fffea94c910 (LWP 4285) exited]
[Thread 0x7fffe3dd3910 (LWP 4286) exited]
MusicBrainz: Result: 0 (200 OK)
MusicBrainz: Status: 200
MusicBrainz: Response:
<?xml version="1.0" encoding="UTF-8"?><metadata xmlns="http://musicbrainz.org/ns/mmd-1.0#" xmlns:ext="http://musicbrainz.org/ns/ext-1.0#"><release-list></release-list></metadata>
[Thread 0x7fffe3167910 (LWP 4287) exited]

(sound-juicer:4279): Gdk-CRITICAL **: gdk_x11_atom_to_xatom_for_display: assertion `atom != GDK_NONE' failed

Program received signal SIGSEGV, Segmentation fault.
magazine_chain_pop_head (magazine_chunks=<value optimized out>) at gslice.c:474
474	      (*magazine_chunks)->data = chunk->next;
Missing separate debuginfos, use: debuginfo-install PackageKit-gtk-module-0.4.8-2.fc11.x86_64 avahi-0.6.25-3.fc11.x86_64 [and an awful lot of other packages]
(gdb) bt
#0  magazine_chain_pop_head (magazine_chunks=<value optimized out>)
    at gslice.c:474
#1  thread_memory_magazine1_alloc (magazine_chunks=<value optimized out>)
    at gslice.c:777
#2  IA__g_slice_alloc (magazine_chunks=<value optimized out>) at gslice.c:815
#3  0x00000038f2e567be in IA__g_slist_prepend (list=0x0, data=0x6855e0)
    at gslist.c:160
#4  0x00000038f3210f87 in g_object_notify_queue_add (
    pspec=<value optimized out>, nqueue=<value optimized out>, 
    object=<value optimized out>) at gobjectnotifyqueue.c:156
#5  IA__g_object_notify (pspec=<value optimized out>, 
    nqueue=<value optimized out>, object=<value optimized out>)
    at gobject.c:856
#6  0x00007ffff7c1e673 in gtk_widget_set_style_internal (widget=0x9a8170, 
    style=0x8fd800, initial_emission=1) at gtkwidget.c:6140
#7  0x00007ffff7b77895 in do_size_request (widget=0x9a8170)
    at gtksizegroup.c:618
#8  0x00007ffff7b77b38 in _gtk_size_group_compute_requisition (
    widget=0x9a8170, requisition=0x7fffffffc5a0) at gtksizegroup.c:820
#9  0x00007ffff7ad5af0 in gtk_frame_size_request (widget=0x9c13d0, 
    requisition=0x9c1408) at gtkframe.c:625
#10 0x00000038f320b789 in IA__g_closure_invoke (closure=0x687470, 
    return_value=0x0, n_param_values=2, param_values=0x8cd760, 
    invocation_hint=0x7fffffffc700) at gclosure.c:767
#11 0x00000038f3220492 in signal_emit_unlocked_R (node=0x63d570, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3177
#12 0x00000038f3221f49 in IA__g_signal_emit_valist (instance=0x9c13d0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fffffffc900)
    at gsignal.c:2980
#13 0x00000038f32222b4 in IA__g_signal_emit_by_name (instance=0x9c13d0, 
    detailed_signal=0x7ffff7d1eb5e "size-request") at gsignal.c:3074
#14 0x00007ffff7b77b38 in _gtk_size_group_compute_requisition (
    widget=0x9c13d0, requisition=0x7fffffffca60) at gtksizegroup.c:820
#15 0x00007ffff7c26810 in gtk_window_size_request (
    widget=<value optimized out>, requisition=0x9913e8) at gtkwindow.c:4913
#16 0x00000038f320b83e in IA__g_closure_invoke (closure=0x687470, 
    return_value=0x0, n_param_values=2, param_values=0x89a8f0, 
    invocation_hint=0x7fffffffcbb0) at gclosure.c:767
#17 0x00000038f3220492 in signal_emit_unlocked_R (node=0x63d570, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3177
#18 0x00000038f3221f49 in IA__g_signal_emit_valist (instance=0x9913b0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fffffffcdb0)
    at gsignal.c:2980
#19 0x00000038f32222b4 in IA__g_signal_emit_by_name (instance=0x9913b0, 
    detailed_signal=0x7ffff7d1eb5e "size-request") at gsignal.c:3074
#20 0x00007ffff7b77b38 in _gtk_size_group_compute_requisition (
    widget=0x9913b0, requisition=0x7fffffffcfb0) at gtksizegroup.c:820
#21 0x00007ffff7c2fa20 in gtk_window_realize (widget=0x9913b0)
    at gtkwindow.c:4692
#22 0x00000038f320b83e in IA__g_closure_invoke (closure=0x65fc50, 
    return_value=0x0, n_param_values=1, param_values=0x89b880, 
    invocation_hint=0x7fffffffd120) at gclosure.c:767
#23 0x00000038f3220492 in signal_emit_unlocked_R (node=0x687200, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3177
#24 0x00000038f3221f49 in IA__g_signal_emit_valist (instance=0x9913b0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fffffffd310)
    at gsignal.c:2980
#25 0x00000038f3222493 in IA__g_signal_emit (instance=0x10, signal_id=6837728, 
    detail=97) at gsignal.c:3037
#26 0x00007ffff7c1fb6e in IA__gtk_widget_realize (widget=0x9913b0)
    at gtkwidget.c:3325
#27 0x00007ffff7c1fc65 in IA__gtk_widget_realize (widget=0x9c13d0)
    at gtkwidget.c:3321
#28 0x00007ffff7c1fc65 in IA__gtk_widget_realize (widget=0x9a8170)
    at gtkwidget.c:3321
#29 0x00007ffff7c1fc65 in IA__gtk_widget_realize (widget=0x87c160)
    at gtkwidget.c:3321
#30 0x00007ffff7c022f8 in gtk_tree_view_key_press (widget=0x8880f0, 
    event=0x7fffdc001910) at gtktreeview.c:5394
#31 0x00007ffff7b14038 in _gtk_marshal_BOOLEAN__BOXED (closure=0x6876d0, 
    return_value=0x7fffffffd610, n_param_values=<value optimized out>, 
    param_values=0x89a790, invocation_hint=<value optimized out>, 
    marshal_data=0x7ffff7c01fa0) at gtkmarshalers.c:84
#32 0x00000038f320b789 in IA__g_closure_invoke (closure=0x6876d0, 
    return_value=0x7fffffffd610, n_param_values=2, param_values=0x89a790, 
    invocation_hint=0x7fffffffd5d0) at gclosure.c:767
#33 0x00000038f3220855 in signal_emit_unlocked_R (node=0x687ef0, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3285
#34 0x00000038f3221ddc in IA__g_signal_emit_valist (instance=0x8880f0, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fffffffd7c0)
    at gsignal.c:2990
#35 0x00000038f3222493 in IA__g_signal_emit (instance=0x10, signal_id=6837728, 
    detail=97) at gsignal.c:3037
#36 0x00007ffff7c1791f in gtk_widget_event_internal (widget=0x8880f0, 
    event=0x7fffdc001910) at gtkwidget.c:4764
#37 0x00007ffff7c296fb in IA__gtk_window_propagate_key_event (window=0x7f0150, 
    event=0x7fffdc001910) at gtkwindow.c:5142
#38 0x00007ffff7c2c6db in gtk_window_key_press_event (widget=0x7f0150, 
    event=0x7fffdc001910) at gtkwindow.c:5172
#39 0x00007ffff7b14038 in _gtk_marshal_BOOLEAN__BOXED (closure=0x6876d0, 
    return_value=0x7fffffffdad0, n_param_values=<value optimized out>, 
    param_values=0x95a090, invocation_hint=<value optimized out>, 
    marshal_data=0x7ffff7c2c6a0) at gtkmarshalers.c:84
#40 0x00000038f320b83e in IA__g_closure_invoke (closure=0x6876d0, 
    return_value=0x7fffffffdad0, n_param_values=2, param_values=0x95a090, 
    invocation_hint=0x7fffffffda90) at gclosure.c:767
#41 0x00000038f3220855 in signal_emit_unlocked_R (node=0x687ef0, 
    detail=<value optimized out>, instance=<value optimized out>, 
    emission_return=<value optimized out>, 
    instance_and_params=<value optimized out>) at gsignal.c:3285
#42 0x00000038f3221ddc in IA__g_signal_emit_valist (instance=0x7f0150, 
    signal_id=<value optimized out>, detail=0, var_args=0x7fffffffdc80)
    at gsignal.c:2990
#43 0x00000038f3222493 in IA__g_signal_emit (instance=0x10, signal_id=6837728, 
    detail=97) at gsignal.c:3037
#44 0x00007ffff7c1791f in gtk_widget_event_internal (widget=0x7f0150, 
    event=0x7fffdc001910) at gtkwidget.c:4764
#45 0x00007ffff7b0c964 in IA__gtk_propagate_event (widget=0x7f0150, 
    event=0x7fffdc001910) at gtkmain.c:2370
#46 0x00007ffff7b0d853 in IA__gtk_main_do_event (event=0x7fffdc001910)
    at gtkmain.c:1601
#47 0x00007ffff779517c in gdk_event_dispatch (source=<value optimized out>, 
    callback=<value optimized out>, user_data=<value optimized out>)
    at gdkevents-x11.c:2367
#48 0x00000038f2e37abe in g_main_dispatch (context=<value optimized out>)
    at gmain.c:1824
#49 IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2377
#50 0x00000038f2e3b278 in g_main_context_iterate (context=0x66de00, 
    block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2455
#51 0x00000038f2e3b6d5 in IA__g_main_loop_run (loop=0x9aa880) at gmain.c:2663
#52 0x00007ffff7b0dd17 in IA__gtk_main () at gtkmain.c:1205
#53 0x00000000004135ed in main (argc=1, argv=0x7fffffffe268) at sj-main.c:1887
Comment 30 lexual 2009-10-21 09:00:46 EDT
dupe?
https://bugzilla.redhat.com/show_bug.cgi?id=528297
Comment 31 Bastien Nocera 2009-11-26 06:27:18 EST
Same bugs as in F12, all fixed on the gnome-2-26 branch.
Comment 32 Michal Nowak 2009-11-26 06:35:02 EST
What I can see now is:

newman@dhcp-lab-124 gold-rebuild $ sound-juicer 
0:00:02.400915465 16844       0x7c7420 ERROR           GST_PIPELINE ./grammar.y:609:_gst_parse_yyparse: no element "faac"
0:00:02.978368951 16844       0x7c7420 ERROR           GST_PIPELINE ./grammar.y:609:_gst_parse_yyparse: no element "m"
0:00:02.978422184 16844       0x7c7420 ERROR           GST_PIPELINE ./grammar.y:609:_gst_parse_yyparse: no element "M"
0:00:03.162829387 16844       0x7c7420 ERROR           GST_PIPELINE ./grammar.y:609:_gst_parse_yyparse: no element "m"
0:00:03.162878970 16844       0x7c7420 ERROR           GST_PIPELINE ./grammar.y:609:_gst_parse_yyparse: no element "M"

** (sound-juicer:16844): WARNING **: Profile warning: no element "m"

But no crash/assertion_fail (not having Audio CD inserted though).
Comment 33 Bastien Nocera 2009-11-26 08:49:58 EST
(In reply to comment #32)
> What I can see now is:
> 
> newman@dhcp-lab-124 gold-rebuild $ sound-juicer 
> 0:00:02.400915465 16844       0x7c7420 ERROR           GST_PIPELINE
> ./grammar.y:609:_gst_parse_yyparse: no element "faac"
> 0:00:02.978368951 16844       0x7c7420 ERROR           GST_PIPELINE
> ./grammar.y:609:_gst_parse_yyparse: no element "m"
> 0:00:02.978422184 16844       0x7c7420 ERROR           GST_PIPELINE
> ./grammar.y:609:_gst_parse_yyparse: no element "M"
> 0:00:03.162829387 16844       0x7c7420 ERROR           GST_PIPELINE
> ./grammar.y:609:_gst_parse_yyparse: no element "m"
> 0:00:03.162878970 16844       0x7c7420 ERROR           GST_PIPELINE
> ./grammar.y:609:_gst_parse_yyparse: no element "M"
> 
> ** (sound-juicer:16844): WARNING **: Profile warning: no element "m"
> 
> But no crash/assertion_fail (not having Audio CD inserted though).  

That probably has nothing to do with the original problem and is likely to be a bug in your output pipeline for FAAC.
Comment 34 Fedora Update System 2009-11-26 09:44:05 EST
sound-juicer-2.26.2-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/sound-juicer-2.26.2-1.fc11
Comment 35 Juergen Gier 2009-11-26 11:19:11 EST
Upgraded to Fedora 12 (sound-juicer-2.28.0-4.fc12.x86_64, gvfs-1.4.1-3.fc12.x86_64, redland-1.0.7-10.fc12.1.x86_64), now it won't start at all, no matter what's in the drive bay:

gdb sound-juicer 
GNU gdb (GDB) Fedora (7.0-3.fc12)
Copyright (C) 2009 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /usr/bin/sound-juicer...Reading symbols from /usr/lib/debug/usr/bin/sound-juicer.debug...done.
done.
(gdb) run
Starting program: /usr/bin/sound-juicer 
[Thread debugging using libthread_db enabled]
Detaching after fork from child process 3616.
Warning: Unable to create "trees" RDF storage.
Performance can be improved by upgrading librdf.

(sound-juicer:3616): GLib-GObject-WARNING **: cannot register existing type `GstSignalProcessor'

(sound-juicer:3616): GLib-CRITICAL **: g_once_init_leave: assertion `initialization_value != 0' failed

(sound-juicer:3616): GLib-GObject-CRITICAL **: g_type_register_static: assertion `parent_type > 0' failed

(sound-juicer:3616): GStreamer-CRITICAL **: gst_element_register: assertion `g_type_is_a (type, GST_TYPE_ELEMENT)' failed

and that's it, the program hangs until I kill it (Ctrl-C):

^C
Program received signal SIGINT, Interrupt.
0x0000003dd8a0e100 in __read_nocancel ()
    at ../sysdeps/unix/syscall-template.S:82
82	T_PSEUDO (SYSCALL_SYMBOL, SYSCALL_NAME, SYSCALL_NARGS)
Current language:  auto
The current source language is "auto; currently asm".

(gdb) bt
#0  0x0000003dd8a0e100 in __read_nocancel ()
    at ../sysdeps/unix/syscall-template.S:82
#1  0x0000003de5a28351 in read (__nbytes=4, __buf=<value optimized out>, 
    __fd=<value optimized out>) at /usr/include/bits/unistd.h:45
#2  ensure_current_registry_forking (__nbytes=4, __buf=<value optimized out>, 
    __fd=<value optimized out>) at gst.c:871
#3  ensure_current_registry (__nbytes=4, __buf=<value optimized out>, 
    __fd=<value optimized out>) at gst.c:958
#4  0x0000003de5a29d48 in init_post (context=<value optimized out>, 
    group=<value optimized out>, data=<value optimized out>, error=
    0x7fffffffdfc8) at gst.c:1116
#5  0x0000003dd7647c59 in IA__g_option_context_parse (context=0x637d80, 
    argc=<value optimized out>, argv=<value optimized out>, 
    error=<value optimized out>) at goption.c:1947
#6  0x0000000000412402 in main (argc=1, argv=0x7fffffffe0d8) at sj-main.c:1652


Different bug now, I suppose?
Comment 36 Bastien Nocera 2009-11-26 13:48:23 EST
(In reply to comment #35)
> Upgraded to Fedora 12

Then you should file a new bug, this bug is about Fedora 11.

> (sound-juicer-2.28.0-4.fc12.x86_64,
> gvfs-1.4.1-3.fc12.x86_64, redland-1.0.7-10.fc12.1.x86_64), now it won't start
> at all, no matter what's in the drive bay:

Looks like your GStreamer installation is busted. File a separate bug please.
Comment 37 Juergen Gier 2009-11-26 15:55:58 EST
Thanks Bastien, reinstallation of gstreamer-plugins-* sorted it out.
Comment 38 Fedora Update System 2009-11-27 16:49:42 EST
sound-juicer-2.26.2-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update sound-juicer'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12250
Comment 39 Fedora Update System 2009-12-04 19:04:04 EST
sound-juicer-2.26.2-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.